/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool;

import javax.swing.SwingUtilities;


/**
 * 
 * @author graf
 *
 */
public class Main
{
    private static MainFrame frame;
    /**
     * @param args
     */
    public static void main( String[] args )
    {
        SwingUtilities.invokeLater( new Runnable()
        {
            public void run()
            {
                frame = new MainFrame();
                frame.validate();
                frame.setVisible( true );
            }
            
        });
    }

    public static void finish( boolean restart )
    {
        frame.dispose();
        if( restart )
        {
            main( null );
        }
        else
        {
            System.exit( 0 );
        }
    }
}
