/****************************************
 *  COPYRIGHT (C) 2012
 *  Holger Graf
 ****************************************/
package sitool.components;

import java.awt.Point;
import java.util.Arrays;
import java.util.List;

/**
 * @author graf
 *
 */
public class Orbits
{
    private static class Orbit1
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 25, 19 ), new Point( 26, 20 ), new Point( 27, 20 ), new Point( 28, 21 ), new Point( 29, 22 ), new Point( 30, 23 ), new Point( 30, 24 ), new Point( 30, 25 ), new Point( 29, 26 ), new Point( 29, 27 ), new Point( 28, 28 ), new Point( 27, 29 ), new Point( 26, 29 ), new Point( 25, 30 ), new Point( 24, 29 ), new Point( 23, 29 ), new Point( 22, 28 ), new Point( 21, 27 ), new Point( 21, 26 ), new Point( 20, 25 ), new Point( 20, 24 ), new Point( 20, 23 ), new Point( 21, 22 ), new Point( 22, 21 ), new Point( 23, 20 ), new Point( 24, 20 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit2
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 27, 15 ), new Point( 28, 15 ), new Point( 29, 16 ), new Point( 30, 16 ), new Point( 31, 17 ), new Point( 32, 18 ), new Point( 33, 19 ), new Point( 34, 20 ), new Point( 34, 21 ), new Point( 35, 22 ), new Point( 35, 23 ), new Point( 35, 24 ), new Point( 35, 25 ), new Point( 35, 26 ), new Point( 34, 27 ), new Point( 34, 28 ), new Point( 34, 29 ), new Point( 33, 29 ), new Point( 33, 30 ), new Point( 32, 31 ), new Point( 31, 32 ), new Point( 30, 32 ), new Point( 29, 33 ), new Point( 28, 33 ), new Point( 27, 33 ), new Point( 26, 33 ), new Point( 25, 33 ), new Point( 24, 32 ), new Point( 23, 32 ), new Point( 22, 31 ), new Point( 22, 30 ), new Point( 21, 29 ), new Point( 20, 28 ), new Point( 20, 27 ), new Point( 19, 26 ), new Point( 19, 25 ), new Point( 19, 24 ), new Point( 19, 23 ), new Point( 19, 22 ), new Point( 20, 21 ), new Point( 20, 20 ), new Point( 21, 19 ), new Point( 22, 18 ), new Point( 23, 17 ), new Point( 24, 16 ), new Point( 25, 16 ), new Point( 26, 15 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit3
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 25, 9 ), new Point( 26, 9 ), new Point( 27, 9 ), new Point( 28, 9 ), new Point( 29, 10 ), new Point( 30, 10 ), new Point( 31, 10 ), new Point( 32, 11 ), new Point( 33, 11 ), new Point( 34, 12 ), new Point( 35, 13 ), new Point( 36, 14 ), new Point( 37, 15 ), new Point( 37, 16 ), new Point( 38, 17 ), new Point( 38, 18 ), new Point( 38, 19 ), new Point( 39, 20 ), new Point( 39, 21 ), new Point( 39, 22 ), new Point( 39, 23 ), new Point( 39, 24 ), new Point( 39, 25 ), new Point( 39, 26 ), new Point( 38, 27 ), new Point( 38, 28 ), new Point( 38, 29 ), new Point( 37, 30 ), new Point( 37, 31 ), new Point( 36, 32 ), new Point( 35, 33 ), new Point( 34, 34 ), new Point( 33, 35 ), new Point( 32, 36 ), new Point( 31, 36 ), new Point( 30, 37 ), new Point( 29, 37 ), new Point( 28, 37 ), new Point( 27, 38 ), new Point( 26, 38 ), new Point( 25, 38 ), new Point( 24, 37 ), new Point( 23, 37 ), new Point( 22, 37 ), new Point( 21, 37 ), new Point( 20, 36 ), new Point( 19, 36 ), new Point( 18, 35 ), new Point( 17, 34 ), new Point( 16, 33 ), new Point( 15, 32 ), new Point( 14, 31 ), new Point( 13, 30 ), new Point( 13, 29 ), new Point( 12, 28 ), new Point( 12, 27 ), new Point( 12, 26 ), new Point( 12, 25 ), new Point( 11, 24 ), new Point( 11, 23 ), new Point( 11, 22 ), new Point( 11, 21 ), new Point( 12, 20 ), new Point( 12, 19 ), new Point( 13, 18 ), new Point( 13, 17 ), new Point( 14, 16 ), new Point( 14, 15 ), new Point( 15, 14 ), new Point( 16, 13 ), new Point( 17, 12 ), new Point( 18, 11 ), new Point( 19, 11 ), new Point( 20, 10 ), new Point( 21, 10 ), new Point( 22, 10 ), new Point( 23, 9 ), new Point( 24, 9 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit4
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 34, 2 ), new Point( 35, 2 ), new Point( 36, 2 ), new Point( 37, 2 ), new Point( 38, 3 ), new Point( 39, 3 ), new Point( 40, 3 ), new Point( 41, 4 ), new Point( 42, 4 ), new Point( 43, 4 ), new Point( 44, 5 ), new Point( 45, 6 ), new Point( 46, 7 ), new Point( 47, 8 ), new Point( 47, 9 ), new Point( 48, 10 ), new Point( 48, 11 ), new Point( 48, 12 ), new Point( 48, 13 ), new Point( 49, 14 ), new Point( 49, 15 ), new Point( 49, 16 ), new Point( 49, 17 ), new Point( 48, 18 ), new Point( 48, 19 ), new Point( 48, 20 ), new Point( 47, 21 ), new Point( 47, 22 ), new Point( 47, 23 ), new Point( 46, 24 ), new Point( 46, 25 ), new Point( 45, 26 ), new Point( 44, 27 ), new Point( 44, 28 ), new Point( 43, 29 ), new Point( 42, 30 ), new Point( 41, 31 ), new Point( 40, 32 ), new Point( 39, 33 ), new Point( 38, 33 ), new Point( 37, 34 ), new Point( 36, 34 ), new Point( 35, 35 ), new Point( 34, 35 ), new Point( 33, 36 ), new Point( 32, 36 ), new Point( 31, 36 ), new Point( 30, 37 ), new Point( 29, 37 ), new Point( 28, 37 ), new Point( 27, 37 ), new Point( 26, 37 ), new Point( 25, 37 ), new Point( 24, 37 ), new Point( 23, 37 ), new Point( 22, 36 ), new Point( 21, 36 ), new Point( 20, 36 ), new Point( 19, 36 ), new Point( 18, 35 ), new Point( 17, 35 ), new Point( 16, 34 ), new Point( 15, 33 ), new Point( 14, 32 ), new Point( 13, 31 ), new Point( 13, 30 ), new Point( 12, 29 ), new Point( 12, 28 ), new Point( 12, 27 ), new Point( 12, 26 ), new Point( 11, 25 ), new Point( 11, 24 ), new Point( 11, 23 ), new Point( 12, 22 ), new Point( 12, 21 ), new Point( 13, 20 ), new Point( 13, 19 ), new Point( 13, 18 ), new Point( 13, 17 ), new Point( 14, 16 ), new Point( 14, 15 ), new Point( 15, 14 ), new Point( 15, 13 ), new Point( 16, 12 ), new Point( 17, 11 ), new Point( 17, 10 ), new Point( 18, 9 ), new Point( 19, 8 ), new Point( 20, 7 ), new Point( 21, 6 ), new Point( 22, 6 ), new Point( 23, 5 ), new Point( 24, 5 ), new Point( 25, 4 ), new Point( 26, 4 ), new Point( 27, 3 ), new Point( 28, 3 ), new Point( 29, 3 ), new Point( 30, 3 ), new Point( 30, 2 ), new Point( 31, 2 ), new Point( 32, 2 ), new Point( 33, 2 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit5
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 10, 1 ), new Point( 11, 1 ), new Point( 12, 1 ), new Point( 13, 2 ), new Point( 14, 2 ), new Point( 15, 2 ), new Point( 16, 3 ), new Point( 17, 3 ), new Point( 18, 3 ), new Point( 19, 4 ), new Point( 20, 4 ), new Point( 21, 5 ), new Point( 22, 6 ), new Point( 23, 7 ), new Point( 24, 8 ), new Point( 25, 9 ), new Point( 26, 10 ), new Point( 27, 11 ), new Point( 27, 12 ), new Point( 28, 13 ), new Point( 28, 14 ), new Point( 29, 15 ), new Point( 29, 16 ), new Point( 30, 17 ), new Point( 30, 18 ), new Point( 30, 19 ), new Point( 31, 20 ), new Point( 31, 21 ), new Point( 31, 22 ), new Point( 31, 23 ), new Point( 30, 24 ), new Point( 30, 25 ), new Point( 30, 26 ), new Point( 29, 27 ), new Point( 28, 28 ), new Point( 27, 29 ), new Point( 26, 29 ), new Point( 25, 30 ), new Point( 24, 31 ), new Point( 23, 31 ), new Point( 22, 31 ), new Point( 21, 31 ), new Point( 20, 31 ), new Point( 19, 30 ), new Point( 18, 30 ), new Point( 17, 30 ), new Point( 16, 29 ), new Point( 15, 29 ), new Point( 14, 28 ), new Point( 13, 28 ), new Point( 12, 27 ), new Point( 11, 26 ), new Point( 10, 25 ), new Point( 9, 25 ), new Point( 8, 24 ), new Point( 7, 23 ), new Point( 6, 22 ), new Point( 5, 21 ), new Point( 4, 20 ), new Point( 4, 19 ), new Point( 3, 18 ), new Point( 3, 17 ), new Point( 3, 16 ), new Point( 2, 15 ), new Point( 2, 14 ), new Point( 2, 13 ), new Point( 2, 12 ), new Point( 2, 11 ), new Point( 2, 10 ), new Point( 2, 9 ), new Point( 2, 8 ), new Point( 3, 7 ), new Point( 3, 6 ), new Point( 3, 5 ), new Point( 4, 4 ), new Point( 5, 3 ), new Point( 6, 3 ), new Point( 7, 2 ), new Point( 8, 2 ), new Point( 9, 1 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit6
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 19, 12 ), new Point( 20, 12 ), new Point( 21, 12 ), new Point( 22, 12 ), new Point( 23, 13 ), new Point( 24, 13 ), new Point( 25, 13 ), new Point( 26, 14 ), new Point( 27, 14 ), new Point( 28, 15 ), new Point( 29, 16 ), new Point( 30, 17 ), new Point( 31, 18 ), new Point( 31, 19 ), new Point( 32, 20 ), new Point( 33, 21 ), new Point( 33, 22 ), new Point( 33, 23 ), new Point( 34, 24 ), new Point( 34, 25 ), new Point( 33, 26 ), new Point( 33, 27 ), new Point( 33, 28 ), new Point( 32, 29 ), new Point( 32, 30 ), new Point( 31, 31 ), new Point( 30, 32 ), new Point( 29, 33 ), new Point( 28, 33 ), new Point( 27, 34 ), new Point( 26, 35 ), new Point( 25, 35 ), new Point( 24, 36 ), new Point( 23, 36 ), new Point( 22, 36 ), new Point( 21, 37 ), new Point( 20, 37 ), new Point( 19, 37 ), new Point( 18, 36 ), new Point( 17, 36 ), new Point( 16, 36 ), new Point( 15, 35 ), new Point( 14, 35 ), new Point( 13, 34 ), new Point( 12, 33 ), new Point( 11, 32 ), new Point( 10, 32 ), new Point( 9, 31 ), new Point( 8, 30 ), new Point( 8, 29 ), new Point( 7, 28 ), new Point( 7, 27 ), new Point( 6, 26 ), new Point( 6, 25 ), new Point( 6, 24 ), new Point( 6, 23 ), new Point( 7, 22 ), new Point( 7, 21 ), new Point( 7, 20 ), new Point( 8, 19 ), new Point( 8, 18 ), new Point( 9, 17 ), new Point( 10, 16 ), new Point( 11, 15 ), new Point( 12, 15 ), new Point( 13, 14 ), new Point( 14, 14 ), new Point( 15, 13 ), new Point( 16, 13 ), new Point( 17, 13 ), new Point( 18, 13 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit7
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 24, 4 ), new Point( 25, 4 ), new Point( 26, 4 ), new Point( 27, 4 ), new Point( 28, 4 ), new Point( 29, 5 ), new Point( 30, 5 ), new Point( 31, 5 ), new Point( 32, 6 ), new Point( 33, 6 ), new Point( 34, 7 ), new Point( 35, 7 ), new Point( 36, 8 ), new Point( 37, 9 ), new Point( 38, 10 ), new Point( 39, 11 ), new Point( 40, 12 ), new Point( 41, 13 ), new Point( 41, 14 ), new Point( 42, 15 ), new Point( 42, 16 ), new Point( 43, 17 ), new Point( 43, 18 ), new Point( 43, 19 ), new Point( 44, 20 ), new Point( 44, 21 ), new Point( 44, 22 ), new Point( 44, 23 ), new Point( 44, 24 ), new Point( 44, 25 ), new Point( 44, 26 ), new Point( 43, 27 ), new Point( 43, 28 ), new Point( 43, 29 ), new Point( 43, 30 ), new Point( 43, 31 ), new Point( 42, 32 ), new Point( 42, 33 ), new Point( 41, 34 ), new Point( 41, 35 ), new Point( 40, 36 ), new Point( 39, 37 ), new Point( 38, 38 ), new Point( 37, 39 ), new Point( 36, 40 ), new Point( 35, 41 ), new Point( 34, 41 ), new Point( 33, 42 ), new Point( 32, 42 ), new Point( 31, 43 ), new Point( 30, 43 ), new Point( 29, 44 ), new Point( 28, 44 ), new Point( 27, 44 ), new Point( 26, 44 ), new Point( 25, 44 ), new Point( 24, 44 ), new Point( 23, 44 ), new Point( 22, 44 ), new Point( 21, 43 ), new Point( 20, 43 ), new Point( 19, 43 ), new Point( 18, 42 ), new Point( 17, 42 ), new Point( 16, 41 ), new Point( 15, 41 ), new Point( 14, 40 ), new Point( 13, 39 ), new Point( 12, 38 ), new Point( 11, 37 ), new Point( 10, 36 ), new Point( 9, 35 ), new Point( 9, 34 ), new Point( 8, 33 ), new Point( 8, 32 ), new Point( 7, 31 ), new Point( 7, 30 ), new Point( 7, 29 ), new Point( 7, 28 ), new Point( 6, 27 ), new Point( 6, 26 ), new Point( 6, 25 ), new Point( 6, 24 ), new Point( 6, 23 ), new Point( 6, 22 ), new Point( 6, 21 ), new Point( 7, 20 ), new Point( 7, 19 ), new Point( 7, 18 ), new Point( 8, 17 ), new Point( 8, 16 ), new Point( 9, 15 ), new Point( 9, 14 ), new Point( 10, 13 ), new Point( 10, 12 ), new Point( 11, 11 ), new Point( 12, 10 ), new Point( 13, 9 ), new Point( 14, 8 ), new Point( 15, 7 ), new Point( 16, 7 ), new Point( 17, 6 ), new Point( 18, 6 ), new Point( 19, 5 ), new Point( 20, 5 ), new Point( 21, 4 ), new Point( 22, 4 ), new Point( 23, 4 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit8
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 24, 9 ), new Point( 25, 9 ), new Point( 26, 9 ), new Point( 27, 9 ), new Point( 28, 9 ), new Point( 29, 10 ), new Point( 30, 10 ), new Point( 31, 10 ), new Point( 32, 11 ), new Point( 33, 11 ), new Point( 34, 12 ), new Point( 35, 13 ), new Point( 36, 14 ), new Point( 37, 15 ), new Point( 37, 16 ), new Point( 38, 17 ), new Point( 39, 18 ), new Point( 39, 19 ), new Point( 39, 20 ), new Point( 40, 21 ), new Point( 40, 22 ), new Point( 40, 23 ), new Point( 40, 24 ), new Point( 40, 25 ), new Point( 40, 26 ), new Point( 40, 27 ), new Point( 39, 28 ), new Point( 39, 29 ), new Point( 39, 30 ), new Point( 38, 31 ), new Point( 38, 32 ), new Point( 37, 33 ), new Point( 37, 34 ), new Point( 36, 35 ), new Point( 35, 36 ), new Point( 34, 37 ), new Point( 33, 38 ), new Point( 32, 38 ), new Point( 31, 39 ), new Point( 30, 39 ), new Point( 29, 40 ), new Point( 28, 40 ), new Point( 27, 40 ), new Point( 26, 40 ), new Point( 25, 40 ), new Point( 24, 40 ), new Point( 23, 40 ), new Point( 22, 40 ), new Point( 21, 39 ), new Point( 20, 39 ), new Point( 19, 39 ), new Point( 18, 38 ), new Point( 17, 38 ), new Point( 16, 37 ), new Point( 15, 36 ), new Point( 14, 35 ), new Point( 13, 34 ), new Point( 13, 33 ), new Point( 12, 32 ), new Point( 12, 31 ), new Point( 11, 30 ), new Point( 11, 29 ), new Point( 11, 28 ), new Point( 10, 27 ), new Point( 10, 26 ), new Point( 10, 25 ), new Point( 10, 24 ), new Point( 10, 23 ), new Point( 11, 22 ), new Point( 11, 21 ), new Point( 11, 20 ), new Point( 11, 19 ), new Point( 12, 18 ), new Point( 12, 17 ), new Point( 13, 16 ), new Point( 13, 15 ), new Point( 14, 14 ), new Point( 15, 13 ), new Point( 16, 12 ), new Point( 17, 12 ), new Point( 18, 11 ), new Point( 19, 11 ), new Point( 20, 10 ), new Point( 21, 10 ), new Point( 22, 9 ), new Point( 23, 9 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit9
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 22, 9 ), new Point( 23, 9 ), new Point( 24, 9 ), new Point( 25, 9 ), new Point( 26, 9 ), new Point( 27, 10 ), new Point( 28, 10 ), new Point( 29, 10 ), new Point( 30, 11 ), new Point( 31, 11 ), new Point( 32, 12 ), new Point( 33, 12 ), new Point( 34, 13 ), new Point( 35, 14 ), new Point( 36, 15 ), new Point( 36, 16 ), new Point( 37, 17 ), new Point( 37, 18 ), new Point( 38, 19 ), new Point( 38, 20 ), new Point( 39, 21 ), new Point( 39, 22 ), new Point( 39, 23 ), new Point( 39, 24 ), new Point( 39, 25 ), new Point( 39, 26 ), new Point( 39, 27 ), new Point( 39, 28 ), new Point( 39, 29 ), new Point( 38, 30 ), new Point( 38, 31 ), new Point( 38, 32 ), new Point( 38, 33 ), new Point( 37, 34 ), new Point( 36, 35 ), new Point( 35, 36 ), new Point( 34, 37 ), new Point( 33, 38 ), new Point( 32, 39 ), new Point( 31, 40 ), new Point( 30, 40 ), new Point( 29, 41 ), new Point( 28, 41 ), new Point( 27, 41 ), new Point( 26, 42 ), new Point( 25, 42 ), new Point( 24, 42 ), new Point( 23, 42 ), new Point( 22, 42 ), new Point( 21, 42 ), new Point( 20, 41 ), new Point( 19, 41 ), new Point( 18, 41 ), new Point( 17, 40 ), new Point( 16, 40 ), new Point( 15, 40 ), new Point( 14, 39 ), new Point( 13, 38 ), new Point( 12, 37 ), new Point( 12, 36 ), new Point( 11, 35 ), new Point( 10, 34 ), new Point( 9, 33 ), new Point( 9, 32 ), new Point( 9, 31 ), new Point( 8, 30 ), new Point( 8, 29 ), new Point( 8, 28 ), new Point( 8, 27 ), new Point( 8, 26 ), new Point( 8, 25 ), new Point( 8, 24 ), new Point( 8, 23 ), new Point( 8, 22 ), new Point( 9, 21 ), new Point( 9, 20 ), new Point( 9, 19 ), new Point( 10, 18 ), new Point( 10, 17 ), new Point( 11, 16 ), new Point( 12, 15 ), new Point( 13, 14 ), new Point( 14, 13 ), new Point( 15, 12 ), new Point( 16, 11 ), new Point( 17, 11 ), new Point( 18, 10 ), new Point( 19, 10 ), new Point( 20, 10 ), new Point( 21, 9 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit10
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 25, 16 ), new Point( 26, 16 ), new Point( 27, 16 ), new Point( 28, 16 ), new Point( 29, 16 ), new Point( 30, 16 ), new Point( 31, 17 ), new Point( 32, 17 ), new Point( 33, 18 ), new Point( 34, 19 ), new Point( 35, 20 ), new Point( 35, 21 ), new Point( 36, 22 ), new Point( 37, 23 ), new Point( 37, 24 ), new Point( 37, 25 ), new Point( 38, 26 ), new Point( 38, 27 ), new Point( 38, 28 ), new Point( 37, 29 ), new Point( 37, 30 ), new Point( 37, 31 ), new Point( 36, 32 ), new Point( 36, 33 ), new Point( 35, 34 ), new Point( 34, 35 ), new Point( 33, 36 ), new Point( 32, 36 ), new Point( 31, 37 ), new Point( 30, 37 ), new Point( 29, 37 ), new Point( 28, 38 ), new Point( 27, 38 ), new Point( 26, 37 ), new Point( 25, 37 ), new Point( 24, 37 ), new Point( 23, 36 ), new Point( 22, 36 ), new Point( 21, 35 ), new Point( 20, 34 ), new Point( 19, 33 ), new Point( 18, 32 ), new Point( 18, 31 ), new Point( 17, 30 ), new Point( 16, 29 ), new Point( 16, 28 ), new Point( 16, 27 ), new Point( 15, 26 ), new Point( 15, 25 ), new Point( 15, 24 ), new Point( 16, 23 ), new Point( 16, 22 ), new Point( 17, 21 ), new Point( 17, 20 ), new Point( 18, 19 ), new Point( 19, 18 ), new Point( 20, 18 ), new Point( 21, 17 ), new Point( 22, 17 ), new Point( 23, 16 ), new Point( 24, 16 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit11
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 23, 11 ), new Point( 24, 11 ), new Point( 25, 11 ), new Point( 26, 11 ), new Point( 27, 12 ), new Point( 28, 12 ), new Point( 29, 12 ), new Point( 30, 13 ), new Point( 31, 13 ), new Point( 32, 14 ), new Point( 33, 15 ), new Point( 34, 16 ), new Point( 35, 17 ), new Point( 35, 18 ), new Point( 36, 19 ), new Point( 36, 20 ), new Point( 36, 21 ), new Point( 37, 22 ), new Point( 37, 23 ), new Point( 36, 24 ), new Point( 36, 25 ), new Point( 36, 26 ), new Point( 35, 27 ), new Point( 35, 28 ), new Point( 35, 29 ), new Point( 34, 30 ), new Point( 34, 31 ), new Point( 33, 32 ), new Point( 32, 33 ), new Point( 31, 34 ), new Point( 30, 34 ), new Point( 29, 35 ), new Point( 28, 35 ), new Point( 27, 35 ), new Point( 26, 36 ), new Point( 25, 36 ), new Point( 24, 36 ), new Point( 23, 36 ), new Point( 22, 36 ), new Point( 21, 35 ), new Point( 20, 35 ), new Point( 19, 34 ), new Point( 18, 34 ), new Point( 17, 33 ), new Point( 16, 32 ), new Point( 15, 31 ), new Point( 14, 30 ), new Point( 14, 29 ), new Point( 13, 28 ), new Point( 13, 27 ), new Point( 13, 26 ), new Point( 12, 25 ), new Point( 12, 24 ), new Point( 12, 23 ), new Point( 12, 22 ), new Point( 12, 21 ), new Point( 12, 20 ), new Point( 13, 19 ), new Point( 13, 18 ), new Point( 13, 17 ), new Point( 14, 16 ), new Point( 14, 15 ), new Point( 15, 14 ), new Point( 16, 13 ), new Point( 17, 13 ), new Point( 18, 12 ), new Point( 19, 12 ), new Point( 20, 12 ), new Point( 21, 11 ), new Point( 22, 11 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit12
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 25, 20 ), new Point( 26, 20 ), new Point( 27, 20 ), new Point( 28, 21 ), new Point( 29, 22 ), new Point( 30, 23 ), new Point( 30, 24 ), new Point( 30, 25 ), new Point( 30, 26 ), new Point( 30, 27 ), new Point( 29, 28 ), new Point( 28, 29 ), new Point( 27, 30 ), new Point( 26, 30 ), new Point( 25, 30 ), new Point( 24, 30 ), new Point( 23, 29 ), new Point( 22, 29 ), new Point( 21, 28 ), new Point( 21, 27 ), new Point( 20, 26 ), new Point( 20, 25 ), new Point( 20, 24 ), new Point( 21, 23 ), new Point( 21, 22 ), new Point( 22, 21 ), new Point( 23, 21 ), new Point( 24, 20 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit13
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 25, 19 ), new Point( 26, 19 ), new Point( 27, 19 ), new Point( 28, 20 ), new Point( 29, 20 ), new Point( 30, 21 ), new Point( 31, 22 ), new Point( 31, 23 ), new Point( 32, 24 ), new Point( 32, 25 ), new Point( 32, 26 ), new Point( 32, 27 ), new Point( 31, 28 ), new Point( 31, 29 ), new Point( 30, 30 ), new Point( 29, 31 ), new Point( 28, 31 ), new Point( 27, 32 ), new Point( 26, 32 ), new Point( 25, 32 ), new Point( 24, 32 ), new Point( 23, 31 ), new Point( 22, 31 ), new Point( 21, 30 ), new Point( 20, 29 ), new Point( 19, 28 ), new Point( 19, 27 ), new Point( 19, 26 ), new Point( 19, 25 ), new Point( 19, 24 ), new Point( 20, 23 ), new Point( 20, 22 ), new Point( 21, 21 ), new Point( 22, 20 ), new Point( 23, 20 ), new Point( 24, 19 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit14
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 25, 18 ), new Point( 26, 18 ), new Point( 27, 18 ), new Point( 28, 19 ), new Point( 29, 19 ), new Point( 30, 20 ), new Point( 31, 21 ), new Point( 32, 22 ), new Point( 32, 23 ), new Point( 33, 24 ), new Point( 33, 25 ), new Point( 33, 26 ), new Point( 33, 27 ), new Point( 32, 28 ), new Point( 32, 29 ), new Point( 31, 30 ), new Point( 30, 31 ), new Point( 29, 32 ), new Point( 28, 32 ), new Point( 27, 33 ), new Point( 26, 33 ), new Point( 25, 33 ), new Point( 24, 32 ), new Point( 23, 32 ), new Point( 22, 31 ), new Point( 21, 30 ), new Point( 20, 29 ), new Point( 20, 28 ), new Point( 19, 27 ), new Point( 19, 26 ), new Point( 19, 25 ), new Point( 19, 24 ), new Point( 20, 23 ), new Point( 20, 22 ), new Point( 21, 21 ), new Point( 22, 20 ), new Point( 23, 19 ), new Point( 24, 19 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit15
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 21, 20 ), new Point( 22, 20 ), new Point( 23, 20 ), new Point( 24, 20 ), new Point( 25, 20 ), new Point( 26, 21 ), new Point( 27, 21 ), new Point( 28, 22 ), new Point( 29, 23 ), new Point( 30, 24 ), new Point( 30, 25 ), new Point( 30, 26 ), new Point( 30, 27 ), new Point( 29, 28 ), new Point( 29, 29 ), new Point( 28, 30 ), new Point( 27, 31 ), new Point( 26, 32 ), new Point( 25, 33 ), new Point( 24, 33 ), new Point( 23, 34 ), new Point( 22, 34 ), new Point( 21, 35 ), new Point( 20, 35 ), new Point( 19, 35 ), new Point( 18, 35 ), new Point( 17, 35 ), new Point( 16, 35 ), new Point( 15, 35 ), new Point( 14, 34 ), new Point( 13, 34 ), new Point( 12, 33 ), new Point( 11, 32 ), new Point( 11, 31 ), new Point( 11, 30 ), new Point( 11, 29 ), new Point( 11, 28 ), new Point( 12, 27 ), new Point( 12, 26 ), new Point( 13, 25 ), new Point( 14, 24 ), new Point( 15, 23 ), new Point( 16, 23 ), new Point( 17, 22 ), new Point( 18, 21 ), new Point( 19, 21 ), new Point( 20, 21 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit16
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 24, 15 ), new Point( 25, 15 ), new Point( 26, 15 ), new Point( 27, 15 ), new Point( 28, 16 ), new Point( 29, 16 ), new Point( 30, 17 ), new Point( 31, 17 ), new Point( 32, 18 ), new Point( 33, 19 ), new Point( 33, 20 ), new Point( 34, 21 ), new Point( 34, 22 ), new Point( 34, 23 ), new Point( 35, 24 ), new Point( 35, 25 ), new Point( 35, 26 ), new Point( 35, 27 ), new Point( 34, 28 ), new Point( 34, 29 ), new Point( 34, 30 ), new Point( 33, 31 ), new Point( 33, 32 ), new Point( 32, 33 ), new Point( 31, 34 ), new Point( 30, 35 ), new Point( 29, 35 ), new Point( 28, 36 ), new Point( 27, 36 ), new Point( 26, 36 ), new Point( 25, 36 ), new Point( 24, 36 ), new Point( 23, 36 ), new Point( 22, 36 ), new Point( 21, 35 ), new Point( 20, 35 ), new Point( 19, 34 ), new Point( 18, 33 ), new Point( 17, 32 ), new Point( 16, 31 ), new Point( 16, 30 ), new Point( 15, 29 ), new Point( 15, 28 ), new Point( 15, 27 ), new Point( 14, 26 ), new Point( 14, 25 ), new Point( 14, 24 ), new Point( 14, 23 ), new Point( 15, 22 ), new Point( 16, 21 ), new Point( 16, 20 ), new Point( 17, 19 ), new Point( 18, 18 ), new Point( 19, 17 ), new Point( 20, 17 ), new Point( 21, 16 ), new Point( 22, 16 ), new Point( 23, 15 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit17
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 24, 7 ), new Point( 25, 7 ), new Point( 26, 7 ), new Point( 27, 7 ), new Point( 28, 7 ), new Point( 29, 8 ), new Point( 30, 8 ), new Point( 31, 8 ), new Point( 32, 8 ), new Point( 33, 9 ), new Point( 34, 10 ), new Point( 35, 10 ), new Point( 36, 11 ), new Point( 37, 12 ), new Point( 38, 13 ), new Point( 39, 14 ), new Point( 39, 15 ), new Point( 40, 16 ), new Point( 40, 17 ), new Point( 41, 18 ), new Point( 41, 19 ), new Point( 41, 20 ), new Point( 42, 21 ), new Point( 42, 22 ), new Point( 42, 23 ), new Point( 42, 24 ), new Point( 42, 25 ), new Point( 42, 26 ), new Point( 42, 27 ), new Point( 42, 28 ), new Point( 41, 29 ), new Point( 41, 30 ), new Point( 41, 31 ), new Point( 41, 32 ), new Point( 40, 33 ), new Point( 40, 34 ), new Point( 39, 35 ), new Point( 38, 36 ), new Point( 38, 37 ), new Point( 37, 38 ), new Point( 36, 39 ), new Point( 35, 40 ), new Point( 34, 41 ), new Point( 33, 41 ), new Point( 32, 42 ), new Point( 31, 42 ), new Point( 30, 42 ), new Point( 29, 43 ), new Point( 28, 43 ), new Point( 27, 43 ), new Point( 26, 43 ), new Point( 25, 43 ), new Point( 24, 43 ), new Point( 23, 43 ), new Point( 22, 43 ), new Point( 21, 42 ), new Point( 20, 42 ), new Point( 19, 42 ), new Point( 18, 41 ), new Point( 17, 41 ), new Point( 16, 40 ), new Point( 15, 40 ), new Point( 14, 39 ), new Point( 13, 38 ), new Point( 13, 37 ), new Point( 12, 36 ), new Point( 11, 35 ), new Point( 11, 34 ), new Point( 10, 33 ), new Point( 10, 32 ), new Point( 9, 31 ), new Point( 9, 30 ), new Point( 9, 29 ), new Point( 9, 28 ), new Point( 8, 27 ), new Point( 8, 26 ), new Point( 8, 25 ), new Point( 8, 24 ), new Point( 8, 23 ), new Point( 8, 22 ), new Point( 9, 21 ), new Point( 9, 20 ), new Point( 9, 19 ), new Point( 10, 18 ), new Point( 10, 17 ), new Point( 11, 16 ), new Point( 11, 15 ), new Point( 12, 14 ), new Point( 13, 13 ), new Point( 14, 12 ), new Point( 15, 11 ), new Point( 16, 10 ), new Point( 17, 9 ), new Point( 18, 9 ), new Point( 19, 8 ), new Point( 20, 8 ), new Point( 21, 8 ), new Point( 22, 8 ), new Point( 23, 7 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit18
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 22, 1 ), new Point( 23, 1 ), new Point( 24, 1 ), new Point( 25, 1 ), new Point( 26, 1 ), new Point( 27, 1 ), new Point( 28, 1 ), new Point( 29, 2 ), new Point( 30, 2 ), new Point( 31, 2 ), new Point( 32, 2 ), new Point( 33, 3 ), new Point( 34, 3 ), new Point( 35, 4 ), new Point( 36, 4 ), new Point( 37, 5 ), new Point( 38, 5 ), new Point( 39, 6 ), new Point( 40, 7 ), new Point( 41, 8 ), new Point( 42, 9 ), new Point( 42, 10 ), new Point( 43, 11 ), new Point( 44, 12 ), new Point( 44, 13 ), new Point( 45, 14 ), new Point( 45, 15 ), new Point( 46, 16 ), new Point( 46, 17 ), new Point( 46, 18 ), new Point( 47, 19 ), new Point( 47, 20 ), new Point( 47, 21 ), new Point( 47, 22 ), new Point( 47, 23 ), new Point( 47, 24 ), new Point( 47, 25 ), new Point( 47, 26 ), new Point( 47, 27 ), new Point( 47, 28 ), new Point( 47, 29 ), new Point( 46, 30 ), new Point( 46, 31 ), new Point( 46, 32 ), new Point( 46, 33 ), new Point( 45, 34 ), new Point( 45, 35 ), new Point( 44, 36 ), new Point( 44, 37 ), new Point( 43, 38 ), new Point( 43, 39 ), new Point( 42, 40 ), new Point( 41, 41 ), new Point( 40, 42 ), new Point( 39, 43 ), new Point( 38, 43 ), new Point( 37, 44 ), new Point( 36, 45 ), new Point( 35, 45 ), new Point( 34, 46 ), new Point( 33, 46 ), new Point( 32, 47 ), new Point( 31, 47 ), new Point( 30, 47 ), new Point( 29, 48 ), new Point( 28, 48 ), new Point( 27, 48 ), new Point( 26, 48 ), new Point( 25, 48 ), new Point( 24, 48 ), new Point( 23, 48 ), new Point( 22, 48 ), new Point( 21, 47 ), new Point( 20, 47 ), new Point( 19, 47 ), new Point( 18, 47 ), new Point( 17, 46 ), new Point( 16, 46 ), new Point( 15, 45 ), new Point( 14, 45 ), new Point( 13, 44 ), new Point( 12, 44 ), new Point( 11, 43 ), new Point( 10, 42 ), new Point( 9, 41 ), new Point( 8, 40 ), new Point( 7, 39 ), new Point( 6, 38 ), new Point( 6, 37 ), new Point( 5, 36 ), new Point( 5, 35 ), new Point( 5, 34 ), new Point( 4, 33 ), new Point( 4, 32 ), new Point( 4, 31 ), new Point( 3, 30 ), new Point( 3, 29 ), new Point( 3, 28 ), new Point( 3, 27 ), new Point( 3, 26 ), new Point( 3, 25 ), new Point( 3, 24 ), new Point( 3, 23 ), new Point( 3, 22 ), new Point( 3, 21 ), new Point( 3, 20 ), new Point( 4, 19 ), new Point( 4, 18 ), new Point( 4, 17 ), new Point( 5, 16 ), new Point( 5, 15 ), new Point( 5, 14 ), new Point( 6, 13 ), new Point( 6, 12 ), new Point( 7, 12 ), new Point( 7, 11 ), new Point( 8, 10 ), new Point( 8, 9 ), new Point( 9, 8 ), new Point( 10, 7 ), new Point( 11, 6 ), new Point( 12, 6 ), new Point( 13, 5 ), new Point( 14, 4 ), new Point( 15, 4 ), new Point( 16, 3 ), new Point( 17, 3 ), new Point( 18, 2 ), new Point( 19, 2 ), new Point( 20, 2 ), new Point( 21, 1 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit19
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 23, 3 ), new Point( 24, 3 ), new Point( 25, 3 ), new Point( 26, 3 ), new Point( 27, 3 ), new Point( 28, 3 ), new Point( 29, 3 ), new Point( 30, 3 ), new Point( 31, 4 ), new Point( 32, 4 ), new Point( 33, 4 ), new Point( 34, 4 ), new Point( 35, 5 ), new Point( 36, 5 ), new Point( 37, 5 ), new Point( 38, 6 ), new Point( 39, 6 ), new Point( 40, 7 ), new Point( 41, 8 ), new Point( 42, 9 ), new Point( 43, 10 ), new Point( 44, 11 ), new Point( 45, 12 ), new Point( 46, 13 ), new Point( 46, 14 ), new Point( 47, 15 ), new Point( 47, 16 ), new Point( 47, 17 ), new Point( 48, 18 ), new Point( 48, 19 ), new Point( 48, 20 ), new Point( 48, 21 ), new Point( 48, 22 ), new Point( 48, 23 ), new Point( 48, 24 ), new Point( 48, 25 ), new Point( 47, 26 ), new Point( 47, 27 ), new Point( 47, 28 ), new Point( 47, 29 ), new Point( 46, 30 ), new Point( 46, 31 ), new Point( 45, 32 ), new Point( 44, 33 ), new Point( 44, 34 ), new Point( 43, 35 ), new Point( 42, 36 ), new Point( 41, 37 ), new Point( 40, 38 ), new Point( 39, 38 ), new Point( 39, 39 ), new Point( 38, 39 ), new Point( 37, 40 ), new Point( 36, 40 ), new Point( 35, 41 ), new Point( 34, 41 ), new Point( 33, 42 ), new Point( 32, 42 ), new Point( 31, 42 ), new Point( 30, 43 ), new Point( 29, 43 ), new Point( 28, 43 ), new Point( 27, 43 ), new Point( 26, 43 ), new Point( 25, 43 ), new Point( 24, 43 ), new Point( 23, 43 ), new Point( 22, 43 ), new Point( 21, 43 ), new Point( 20, 43 ), new Point( 19, 43 ), new Point( 18, 43 ), new Point( 17, 42 ), new Point( 16, 42 ), new Point( 15, 42 ), new Point( 14, 42 ), new Point( 13, 41 ), new Point( 12, 41 ), new Point( 11, 40 ), new Point( 10, 39 ), new Point( 9, 39 ), new Point( 8, 38 ), new Point( 7, 37 ), new Point( 6, 36 ), new Point( 5, 35 ), new Point( 5, 34 ), new Point( 4, 33 ), new Point( 4, 32 ), new Point( 4, 31 ), new Point( 3, 30 ), new Point( 3, 29 ), new Point( 3, 28 ), new Point( 3, 27 ), new Point( 2, 26 ), new Point( 2, 25 ), new Point( 2, 24 ), new Point( 2, 23 ), new Point( 3, 22 ), new Point( 3, 21 ), new Point( 3, 20 ), new Point( 3, 19 ), new Point( 4, 18 ), new Point( 4, 17 ), new Point( 4, 16 ), new Point( 5, 15 ), new Point( 6, 14 ), new Point( 6, 13 ), new Point( 7, 12 ), new Point( 8, 11 ), new Point( 9, 10 ), new Point( 10, 9 ), new Point( 11, 8 ), new Point( 12, 8 ), new Point( 13, 7 ), new Point( 14, 7 ), new Point( 15, 6 ), new Point( 16, 5 ), new Point( 17, 5 ), new Point( 18, 5 ), new Point( 19, 4 ), new Point( 20, 4 ), new Point( 21, 4 ), new Point( 22, 4 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit20
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 11, 2 ), new Point( 12, 2 ), new Point( 13, 2 ), new Point( 14, 2 ), new Point( 15, 3 ), new Point( 16, 3 ), new Point( 17, 4 ), new Point( 18, 5 ), new Point( 19, 6 ), new Point( 20, 7 ), new Point( 21, 8 ), new Point( 22, 9 ), new Point( 23, 10 ), new Point( 24, 11 ), new Point( 25, 12 ), new Point( 26, 13 ), new Point( 27, 14 ), new Point( 28, 15 ), new Point( 29, 16 ), new Point( 30, 17 ), new Point( 31, 18 ), new Point( 32, 19 ), new Point( 33, 20 ), new Point( 34, 21 ), new Point( 35, 22 ), new Point( 36, 23 ), new Point( 37, 24 ), new Point( 38, 25 ), new Point( 39, 26 ), new Point( 40, 27 ), new Point( 40, 28 ), new Point( 41, 29 ), new Point( 41, 30 ), new Point( 41, 31 ), new Point( 42, 32 ), new Point( 42, 33 ), new Point( 42, 34 ), new Point( 41, 35 ), new Point( 41, 36 ), new Point( 40, 37 ), new Point( 39, 38 ), new Point( 38, 38 ), new Point( 37, 39 ), new Point( 36, 39 ), new Point( 35, 39 ), new Point( 34, 39 ), new Point( 33, 38 ), new Point( 32, 38 ), new Point( 31, 37 ), new Point( 30, 37 ), new Point( 29, 36 ), new Point( 28, 36 ), new Point( 27, 35 ), new Point( 26, 34 ), new Point( 25, 34 ), new Point( 24, 33 ), new Point( 23, 33 ), new Point( 22, 32 ), new Point( 21, 31 ), new Point( 20, 30 ), new Point( 19, 30 ), new Point( 18, 29 ), new Point( 17, 29 ), new Point( 16, 28 ), new Point( 15, 27 ), new Point( 14, 27 ), new Point( 13, 26 ), new Point( 12, 26 ), new Point( 11, 25 ), new Point( 10, 24 ), new Point( 9, 24 ), new Point( 8, 23 ), new Point( 7, 22 ), new Point( 6, 22 ), new Point( 5, 21 ), new Point( 4, 20 ), new Point( 3, 19 ), new Point( 2, 18 ), new Point( 2, 17 ), new Point( 2, 16 ), new Point( 1, 15 ), new Point( 1, 14 ), new Point( 1, 13 ), new Point( 1, 12 ), new Point( 1, 11 ), new Point( 2, 10 ), new Point( 2, 9 ), new Point( 2, 8 ), new Point( 3, 7 ), new Point( 4, 6 ), new Point( 5, 5 ), new Point( 6, 4 ), new Point( 7, 3 ), new Point( 8, 3 ), new Point( 9, 3 ), new Point( 10, 2 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit21
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 28, 2 ), new Point( 29, 2 ), new Point( 30, 2 ), new Point( 31, 2 ), new Point( 32, 2 ), new Point( 33, 2 ), new Point( 34, 3 ), new Point( 35, 3 ), new Point( 36, 3 ), new Point( 37, 4 ), new Point( 38, 4 ), new Point( 39, 5 ), new Point( 40, 5 ), new Point( 41, 6 ), new Point( 42, 7 ), new Point( 43, 8 ), new Point( 44, 9 ), new Point( 45, 10 ), new Point( 45, 11 ), new Point( 46, 12 ), new Point( 47, 13 ), new Point( 47, 14 ), new Point( 47, 15 ), new Point( 48, 16 ), new Point( 48, 17 ), new Point( 48, 18 ), new Point( 48, 19 ), new Point( 49, 20 ), new Point( 49, 21 ), new Point( 49, 22 ), new Point( 49, 23 ), new Point( 49, 24 ), new Point( 48, 25 ), new Point( 48, 26 ), new Point( 48, 27 ), new Point( 48, 28 ), new Point( 47, 29 ), new Point( 47, 30 ), new Point( 47, 31 ), new Point( 46, 32 ), new Point( 46, 33 ), new Point( 45, 34 ), new Point( 44, 35 ), new Point( 43, 36 ), new Point( 42, 37 ), new Point( 41, 38 ), new Point( 40, 39 ), new Point( 39, 39 ), new Point( 38, 40 ), new Point( 37, 40 ), new Point( 36, 41 ), new Point( 35, 41 ), new Point( 34, 41 ), new Point( 33, 42 ), new Point( 32, 42 ), new Point( 31, 42 ), new Point( 30, 42 ), new Point( 29, 42 ), new Point( 28, 42 ), new Point( 27, 42 ), new Point( 26, 41 ), new Point( 25, 41 ), new Point( 24, 41 ), new Point( 23, 40 ), new Point( 22, 40 ), new Point( 21, 40 ), new Point( 20, 39 ), new Point( 19, 38 ), new Point( 18, 38 ), new Point( 17, 37 ), new Point( 16, 36 ), new Point( 15, 35 ), new Point( 14, 34 ), new Point( 14, 33 ), new Point( 13, 32 ), new Point( 13, 31 ), new Point( 12, 30 ), new Point( 12, 29 ), new Point( 12, 28 ), new Point( 11, 27 ), new Point( 11, 26 ), new Point( 11, 25 ), new Point( 11, 24 ), new Point( 11, 23 ), new Point( 10, 22 ), new Point( 10, 21 ), new Point( 10, 20 ), new Point( 10, 19 ), new Point( 11, 18 ), new Point( 11, 17 ), new Point( 11, 16 ), new Point( 12, 15 ), new Point( 12, 14 ), new Point( 12, 13 ), new Point( 13, 12 ), new Point( 14, 11 ), new Point( 14, 10 ), new Point( 15, 9 ), new Point( 16, 8 ), new Point( 17, 7 ), new Point( 18, 6 ), new Point( 19, 6 ), new Point( 20, 5 ), new Point( 21, 4 ), new Point( 22, 4 ), new Point( 23, 3 ), new Point( 24, 3 ), new Point( 25, 3 ), new Point( 26, 2 ), new Point( 27, 2 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit22
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 18, 2 ), new Point( 19, 2 ), new Point( 20, 2 ), new Point( 21, 2 ), new Point( 22, 3 ), new Point( 23, 3 ), new Point( 24, 3 ), new Point( 25, 3 ), new Point( 26, 4 ), new Point( 27, 4 ), new Point( 28, 5 ), new Point( 29, 5 ), new Point( 30, 6 ), new Point( 31, 6 ), new Point( 32, 7 ), new Point( 33, 8 ), new Point( 34, 9 ), new Point( 35, 10 ), new Point( 35, 11 ), new Point( 36, 12 ), new Point( 36, 13 ), new Point( 37, 14 ), new Point( 37, 15 ), new Point( 38, 16 ), new Point( 38, 17 ), new Point( 38, 18 ), new Point( 38, 19 ), new Point( 39, 20 ), new Point( 39, 21 ), new Point( 39, 22 ), new Point( 39, 23 ), new Point( 39, 24 ), new Point( 39, 25 ), new Point( 38, 26 ), new Point( 38, 27 ), new Point( 38, 28 ), new Point( 37, 29 ), new Point( 37, 30 ), new Point( 37, 31 ), new Point( 36, 32 ), new Point( 36, 33 ), new Point( 35, 34 ), new Point( 34, 35 ), new Point( 33, 36 ), new Point( 32, 37 ), new Point( 31, 38 ), new Point( 30, 39 ), new Point( 29, 39 ), new Point( 28, 40 ), new Point( 27, 40 ), new Point( 26, 41 ), new Point( 25, 41 ), new Point( 24, 42 ), new Point( 23, 42 ), new Point( 22, 42 ), new Point( 21, 42 ), new Point( 20, 42 ), new Point( 19, 42 ), new Point( 18, 42 ), new Point( 17, 42 ), new Point( 16, 42 ), new Point( 15, 41 ), new Point( 14, 41 ), new Point( 13, 41 ), new Point( 12, 40 ), new Point( 11, 40 ), new Point( 10, 39 ), new Point( 9, 39 ), new Point( 8, 38 ), new Point( 7, 37 ), new Point( 6, 36 ), new Point( 5, 35 ), new Point( 4, 34 ), new Point( 4, 33 ), new Point( 3, 32 ), new Point( 3, 31 ), new Point( 2, 30 ), new Point( 2, 29 ), new Point( 1, 28 ), new Point( 1, 27 ), new Point( 1, 26 ), new Point( 1, 25 ), new Point( 1, 24 ), new Point( 1, 23 ), new Point( 1, 22 ), new Point( 1, 21 ), new Point( 1, 20 ), new Point( 1, 19 ), new Point( 1, 18 ), new Point( 2, 17 ), new Point( 2, 16 ), new Point( 2, 15 ), new Point( 3, 14 ), new Point( 3, 13 ), new Point( 3, 12 ), new Point( 4, 11 ), new Point( 5, 10 ), new Point( 5, 9 ), new Point( 6, 8 ), new Point( 7, 7 ), new Point( 8, 6 ), new Point( 9, 6 ), new Point( 10, 5 ), new Point( 11, 5 ), new Point( 12, 4 ), new Point( 13, 4 ), new Point( 14, 3 ), new Point( 15, 3 ), new Point( 16, 3 ), new Point( 17, 2 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit23
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 19, 7 ), new Point( 20, 7 ), new Point( 21, 7 ), new Point( 22, 7 ), new Point( 23, 7 ), new Point( 24, 7 ), new Point( 25, 8 ), new Point( 26, 8 ), new Point( 27, 8 ), new Point( 28, 9 ), new Point( 29, 9 ), new Point( 30, 10 ), new Point( 31, 10 ), new Point( 32, 11 ), new Point( 33, 12 ), new Point( 34, 13 ), new Point( 35, 14 ), new Point( 36, 15 ), new Point( 36, 16 ), new Point( 37, 17 ), new Point( 37, 18 ), new Point( 38, 19 ), new Point( 38, 20 ), new Point( 39, 21 ), new Point( 39, 22 ), new Point( 39, 23 ), new Point( 39, 24 ), new Point( 40, 25 ), new Point( 40, 26 ), new Point( 40, 27 ), new Point( 40, 28 ), new Point( 40, 29 ), new Point( 39, 30 ), new Point( 39, 31 ), new Point( 39, 32 ), new Point( 39, 33 ), new Point( 38, 34 ), new Point( 38, 35 ), new Point( 38, 36 ), new Point( 37, 37 ), new Point( 37, 38 ), new Point( 36, 39 ), new Point( 35, 40 ), new Point( 34, 41 ), new Point( 33, 42 ), new Point( 32, 43 ), new Point( 31, 44 ), new Point( 30, 45 ), new Point( 29, 45 ), new Point( 28, 46 ), new Point( 27, 46 ), new Point( 26, 46 ), new Point( 25, 47 ), new Point( 24, 47 ), new Point( 23, 47 ), new Point( 22, 47 ), new Point( 21, 47 ), new Point( 20, 47 ), new Point( 19, 47 ), new Point( 18, 47 ), new Point( 17, 47 ), new Point( 16, 46 ), new Point( 15, 46 ), new Point( 14, 46 ), new Point( 13, 45 ), new Point( 12, 45 ), new Point( 11, 44 ), new Point( 10, 44 ), new Point( 9, 43 ), new Point( 8, 42 ), new Point( 7, 41 ), new Point( 6, 40 ), new Point( 5, 39 ), new Point( 5, 38 ), new Point( 4, 37 ), new Point( 4, 36 ), new Point( 3, 35 ), new Point( 3, 34 ), new Point( 3, 33 ), new Point( 2, 32 ), new Point( 2, 31 ), new Point( 2, 30 ), new Point( 2, 29 ), new Point( 2, 28 ), new Point( 2, 27 ), new Point( 2, 26 ), new Point( 2, 25 ), new Point( 2, 24 ), new Point( 2, 23 ), new Point( 3, 22 ), new Point( 3, 21 ), new Point( 3, 20 ), new Point( 4, 19 ), new Point( 4, 18 ), new Point( 5, 17 ), new Point( 5, 16 ), new Point( 6, 15 ), new Point( 7, 14 ), new Point( 7, 13 ), new Point( 8, 12 ), new Point( 9, 11 ), new Point( 10, 10 ), new Point( 11, 10 ), new Point( 12, 9 ), new Point( 13, 9 ), new Point( 14, 9 ), new Point( 15, 8 ), new Point( 16, 8 ), new Point( 17, 8 ), new Point( 18, 7 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit24
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 29, 10 ), new Point( 30, 10 ), new Point( 31, 10 ), new Point( 32, 10 ), new Point( 33, 10 ), new Point( 34, 10 ), new Point( 35, 11 ), new Point( 36, 11 ), new Point( 37, 11 ), new Point( 38, 12 ), new Point( 39, 12 ), new Point( 40, 12 ), new Point( 41, 13 ), new Point( 42, 14 ), new Point( 43, 15 ), new Point( 44, 16 ), new Point( 45, 17 ), new Point( 46, 18 ), new Point( 47, 19 ), new Point( 47, 20 ), new Point( 48, 21 ), new Point( 48, 22 ), new Point( 49, 23 ), new Point( 49, 24 ), new Point( 49, 25 ), new Point( 50, 26 ), new Point( 50, 27 ), new Point( 50, 28 ), new Point( 50, 29 ), new Point( 50, 30 ), new Point( 50, 31 ), new Point( 50, 32 ), new Point( 50, 33 ), new Point( 50, 34 ), new Point( 50, 35 ), new Point( 49, 36 ), new Point( 49, 37 ), new Point( 48, 38 ), new Point( 48, 39 ), new Point( 47, 40 ), new Point( 47, 41 ), new Point( 46, 42 ), new Point( 46, 43 ), new Point( 45, 44 ), new Point( 44, 45 ), new Point( 43, 46 ), new Point( 42, 46 ), new Point( 41, 47 ), new Point( 40, 48 ), new Point( 39, 48 ), new Point( 38, 49 ), new Point( 37, 49 ), new Point( 36, 49 ), new Point( 35, 50 ), new Point( 34, 50 ), new Point( 33, 50 ), new Point( 32, 50 ), new Point( 31, 50 ), new Point( 30, 50 ), new Point( 29, 50 ), new Point( 28, 50 ), new Point( 27, 49 ), new Point( 26, 49 ), new Point( 25, 49 ), new Point( 24, 48 ), new Point( 23, 48 ), new Point( 22, 48 ), new Point( 21, 47 ), new Point( 20, 46 ), new Point( 19, 46 ), new Point( 18, 45 ), new Point( 17, 44 ), new Point( 17, 43 ), new Point( 16, 42 ), new Point( 15, 41 ), new Point( 15, 40 ), new Point( 14, 39 ), new Point( 14, 38 ), new Point( 13, 37 ), new Point( 13, 36 ), new Point( 13, 35 ), new Point( 13, 34 ), new Point( 12, 33 ), new Point( 12, 32 ), new Point( 12, 31 ), new Point( 12, 30 ), new Point( 12, 29 ), new Point( 12, 28 ), new Point( 12, 27 ), new Point( 13, 26 ), new Point( 13, 25 ), new Point( 13, 24 ), new Point( 14, 23 ), new Point( 14, 22 ), new Point( 14, 21 ), new Point( 15, 20 ), new Point( 15, 19 ), new Point( 16, 18 ), new Point( 17, 17 ), new Point( 18, 16 ), new Point( 19, 15 ), new Point( 20, 14 ), new Point( 21, 13 ), new Point( 22, 13 ), new Point( 23, 12 ), new Point( 24, 12 ), new Point( 25, 11 ), new Point( 26, 11 ), new Point( 27, 11 ), new Point( 28, 10 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit25
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 19, 1 ), new Point( 20, 1 ), new Point( 21, 1 ), new Point( 22, 1 ), new Point( 23, 1 ), new Point( 24, 1 ), new Point( 25, 1 ), new Point( 26, 1 ), new Point( 27, 1 ), new Point( 28, 1 ), new Point( 29, 2 ), new Point( 30, 2 ), new Point( 31, 2 ), new Point( 32, 3 ), new Point( 33, 3 ), new Point( 34, 4 ), new Point( 35, 4 ), new Point( 36, 5 ), new Point( 37, 6 ), new Point( 38, 7 ), new Point( 39, 8 ), new Point( 40, 9 ), new Point( 41, 10 ), new Point( 41, 11 ), new Point( 42, 12 ), new Point( 43, 13 ), new Point( 43, 14 ), new Point( 44, 15 ), new Point( 44, 16 ), new Point( 44, 17 ), new Point( 45, 18 ), new Point( 45, 19 ), new Point( 45, 20 ), new Point( 46, 21 ), new Point( 46, 22 ), new Point( 46, 23 ), new Point( 46, 24 ), new Point( 46, 25 ), new Point( 45, 26 ), new Point( 45, 27 ), new Point( 45, 28 ), new Point( 45, 29 ), new Point( 45, 30 ), new Point( 44, 31 ), new Point( 44, 32 ), new Point( 44, 33 ), new Point( 43, 34 ), new Point( 43, 35 ), new Point( 42, 36 ), new Point( 42, 37 ), new Point( 41, 38 ), new Point( 40, 39 ), new Point( 40, 40 ), new Point( 39, 41 ), new Point( 38, 42 ), new Point( 37, 43 ), new Point( 36, 44 ), new Point( 35, 44 ), new Point( 34, 45 ), new Point( 33, 45 ), new Point( 32, 46 ), new Point( 31, 46 ), new Point( 30, 47 ), new Point( 29, 47 ), new Point( 28, 47 ), new Point( 27, 48 ), new Point( 26, 48 ), new Point( 25, 48 ), new Point( 24, 48 ), new Point( 23, 48 ), new Point( 22, 48 ), new Point( 21, 48 ), new Point( 20, 47 ), new Point( 19, 47 ), new Point( 18, 47 ), new Point( 17, 47 ), new Point( 16, 46 ), new Point( 15, 46 ), new Point( 14, 46 ), new Point( 13, 45 ), new Point( 12, 44 ), new Point( 11, 44 ), new Point( 10, 43 ), new Point( 9, 42 ), new Point( 8, 41 ), new Point( 7, 40 ), new Point( 6, 39 ), new Point( 6, 38 ), new Point( 5, 37 ), new Point( 5, 36 ), new Point( 4, 35 ), new Point( 3, 34 ), new Point( 3, 33 ), new Point( 2, 32 ), new Point( 2, 31 ), new Point( 2, 30 ), new Point( 2, 29 ), new Point( 2, 28 ), new Point( 1, 27 ), new Point( 1, 26 ), new Point( 1, 25 ), new Point( 1, 24 ), new Point( 1, 23 ), new Point( 1, 22 ), new Point( 1, 21 ), new Point( 2, 20 ), new Point( 2, 19 ), new Point( 2, 18 ), new Point( 3, 17 ), new Point( 3, 16 ), new Point( 3, 15 ), new Point( 4, 14 ), new Point( 4, 13 ), new Point( 5, 12 ), new Point( 5, 11 ), new Point( 6, 10 ), new Point( 7, 9 ), new Point( 7, 8 ), new Point( 8, 7 ), new Point( 9, 6 ), new Point( 10, 5 ), new Point( 11, 5 ), new Point( 12, 4 ), new Point( 13, 4 ), new Point( 14, 3 ), new Point( 15, 3 ), new Point( 16, 2 ), new Point( 17, 2 ), new Point( 18, 2 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit26
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 24, 4 ), new Point( 25, 4 ), new Point( 26, 4 ), new Point( 27, 4 ), new Point( 28, 4 ), new Point( 29, 4 ), new Point( 30, 4 ), new Point( 31, 4 ), new Point( 32, 4 ), new Point( 33, 4 ), new Point( 34, 5 ), new Point( 35, 5 ), new Point( 36, 5 ), new Point( 37, 5 ), new Point( 38, 6 ), new Point( 39, 6 ), new Point( 40, 7 ), new Point( 41, 8 ), new Point( 42, 9 ), new Point( 43, 10 ), new Point( 44, 11 ), new Point( 45, 12 ), new Point( 46, 13 ), new Point( 47, 14 ), new Point( 47, 15 ), new Point( 48, 16 ), new Point( 48, 17 ), new Point( 49, 18 ), new Point( 49, 19 ), new Point( 49, 20 ), new Point( 49, 21 ), new Point( 50, 22 ), new Point( 50, 23 ), new Point( 50, 24 ), new Point( 50, 25 ), new Point( 50, 26 ), new Point( 50, 27 ), new Point( 50, 28 ), new Point( 50, 29 ), new Point( 50, 30 ), new Point( 50, 31 ), new Point( 50, 32 ), new Point( 49, 33 ), new Point( 49, 34 ), new Point( 49, 35 ), new Point( 48, 36 ), new Point( 48, 37 ), new Point( 48, 38 ), new Point( 47, 39 ), new Point( 47, 40 ), new Point( 46, 41 ), new Point( 45, 42 ), new Point( 44, 43 ), new Point( 43, 44 ), new Point( 42, 45 ), new Point( 41, 46 ), new Point( 40, 47 ), new Point( 39, 48 ), new Point( 38, 48 ), new Point( 37, 48 ), new Point( 36, 49 ), new Point( 35, 49 ), new Point( 34, 50 ), new Point( 33, 50 ), new Point( 32, 50 ), new Point( 31, 50 ), new Point( 30, 50 ), new Point( 29, 50 ), new Point( 28, 50 ), new Point( 27, 50 ), new Point( 26, 50 ), new Point( 25, 50 ), new Point( 24, 50 ), new Point( 23, 49 ), new Point( 22, 49 ), new Point( 21, 49 ), new Point( 20, 49 ), new Point( 19, 48 ), new Point( 18, 48 ), new Point( 17, 48 ), new Point( 16, 47 ), new Point( 15, 46 ), new Point( 14, 45 ), new Point( 13, 44 ), new Point( 12, 43 ), new Point( 11, 42 ), new Point( 10, 41 ), new Point( 9, 40 ), new Point( 9, 39 ), new Point( 8, 38 ), new Point( 8, 37 ), new Point( 7, 36 ), new Point( 7, 35 ), new Point( 6, 34 ), new Point( 6, 33 ), new Point( 6, 32 ), new Point( 6, 31 ), new Point( 6, 30 ), new Point( 6, 29 ), new Point( 5, 28 ), new Point( 5, 27 ), new Point( 5, 26 ), new Point( 6, 25 ), new Point( 6, 24 ), new Point( 6, 23 ), new Point( 6, 22 ), new Point( 6, 21 ), new Point( 7, 20 ), new Point( 7, 19 ), new Point( 7, 18 ), new Point( 8, 17 ), new Point( 8, 16 ), new Point( 9, 15 ), new Point( 9, 14 ), new Point( 10, 13 ), new Point( 11, 12 ), new Point( 12, 11 ), new Point( 13, 10 ), new Point( 14, 9 ), new Point( 15, 8 ), new Point( 16, 7 ), new Point( 17, 7 ), new Point( 18, 6 ), new Point( 19, 6 ), new Point( 20, 5 ), new Point( 21, 5 ), new Point( 22, 4 ), new Point( 23, 4 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit27
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 21, 3 ), new Point( 22, 3 ), new Point( 23, 3 ), new Point( 24, 3 ), new Point( 25, 3 ), new Point( 26, 3 ), new Point( 27, 4 ), new Point( 28, 4 ), new Point( 29, 4 ), new Point( 30, 5 ), new Point( 31, 5 ), new Point( 32, 6 ), new Point( 33, 7 ), new Point( 34, 8 ), new Point( 35, 9 ), new Point( 36, 10 ), new Point( 37, 11 ), new Point( 37, 12 ), new Point( 38, 13 ), new Point( 38, 14 ), new Point( 38, 15 ), new Point( 39, 16 ), new Point( 39, 17 ), new Point( 39, 18 ), new Point( 39, 19 ), new Point( 39, 20 ), new Point( 39, 21 ), new Point( 39, 22 ), new Point( 39, 23 ), new Point( 39, 24 ), new Point( 39, 25 ), new Point( 39, 26 ), new Point( 38, 27 ), new Point( 38, 28 ), new Point( 37, 29 ), new Point( 37, 30 ), new Point( 36, 31 ), new Point( 36, 32 ), new Point( 35, 33 ), new Point( 34, 34 ), new Point( 33, 35 ), new Point( 32, 36 ), new Point( 31, 36 ), new Point( 30, 37 ), new Point( 29, 37 ), new Point( 28, 38 ), new Point( 27, 38 ), new Point( 26, 38 ), new Point( 25, 39 ), new Point( 24, 39 ), new Point( 23, 39 ), new Point( 22, 39 ), new Point( 21, 39 ), new Point( 20, 39 ), new Point( 19, 38 ), new Point( 18, 38 ), new Point( 17, 38 ), new Point( 16, 37 ), new Point( 15, 37 ), new Point( 14, 36 ), new Point( 13, 36 ), new Point( 12, 35 ), new Point( 11, 34 ), new Point( 10, 33 ), new Point( 9, 32 ), new Point( 8, 31 ), new Point( 8, 30 ), new Point( 7, 29 ), new Point( 7, 28 ), new Point( 6, 27 ), new Point( 6, 26 ), new Point( 6, 25 ), new Point( 6, 24 ), new Point( 5, 23 ), new Point( 5, 22 ), new Point( 5, 21 ), new Point( 5, 20 ), new Point( 5, 19 ), new Point( 6, 18 ), new Point( 6, 17 ), new Point( 6, 16 ), new Point( 7, 15 ), new Point( 7, 14 ), new Point( 7, 13 ), new Point( 8, 12 ), new Point( 8, 11 ), new Point( 9, 10 ), new Point( 10, 9 ), new Point( 11, 8 ), new Point( 12, 7 ), new Point( 13, 6 ), new Point( 14, 5 ), new Point( 15, 5 ), new Point( 16, 4 ), new Point( 17, 4 ), new Point( 18, 4 ), new Point( 19, 3 ), new Point( 20, 3 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit28
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 28, 3 ), new Point( 29, 3 ), new Point( 30, 3 ), new Point( 31, 3 ), new Point( 32, 3 ), new Point( 33, 3 ), new Point( 34, 3 ), new Point( 35, 4 ), new Point( 36, 4 ), new Point( 37, 4 ), new Point( 38, 5 ), new Point( 39, 5 ), new Point( 40, 6 ), new Point( 41, 7 ), new Point( 42, 8 ), new Point( 43, 9 ), new Point( 44, 10 ), new Point( 44, 11 ), new Point( 45, 12 ), new Point( 45, 13 ), new Point( 46, 14 ), new Point( 46, 15 ), new Point( 46, 16 ), new Point( 47, 17 ), new Point( 47, 18 ), new Point( 47, 19 ), new Point( 47, 20 ), new Point( 47, 21 ), new Point( 47, 22 ), new Point( 47, 23 ), new Point( 47, 24 ), new Point( 47, 25 ), new Point( 47, 26 ), new Point( 46, 27 ), new Point( 46, 28 ), new Point( 45, 29 ), new Point( 45, 30 ), new Point( 44, 31 ), new Point( 43, 32 ), new Point( 43, 33 ), new Point( 42, 34 ), new Point( 41, 35 ), new Point( 40, 36 ), new Point( 39, 36 ), new Point( 38, 37 ), new Point( 37, 37 ), new Point( 36, 38 ), new Point( 35, 38 ), new Point( 34, 38 ), new Point( 33, 39 ), new Point( 32, 39 ), new Point( 31, 39 ), new Point( 30, 39 ), new Point( 29, 39 ), new Point( 28, 39 ), new Point( 27, 39 ), new Point( 26, 38 ), new Point( 25, 38 ), new Point( 24, 38 ), new Point( 23, 37 ), new Point( 22, 37 ), new Point( 21, 36 ), new Point( 20, 35 ), new Point( 19, 34 ), new Point( 18, 33 ), new Point( 17, 32 ), new Point( 16, 31 ), new Point( 16, 30 ), new Point( 15, 29 ), new Point( 15, 28 ), new Point( 14, 27 ), new Point( 14, 26 ), new Point( 14, 25 ), new Point( 14, 24 ), new Point( 13, 23 ), new Point( 13, 22 ), new Point( 13, 21 ), new Point( 13, 20 ), new Point( 13, 19 ), new Point( 14, 18 ), new Point( 14, 17 ), new Point( 14, 16 ), new Point( 14, 15 ), new Point( 15, 14 ), new Point( 15, 13 ), new Point( 16, 12 ), new Point( 16, 11 ), new Point( 17, 10 ), new Point( 18, 9 ), new Point( 19, 8 ), new Point( 19, 7 ), new Point( 20, 6 ), new Point( 21, 6 ), new Point( 22, 5 ), new Point( 23, 4 ), new Point( 24, 4 ), new Point( 25, 4 ), new Point( 26, 4 ), new Point( 27, 3 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit29
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 15, 12 ), new Point( 16, 12 ), new Point( 17, 12 ), new Point( 18, 12 ), new Point( 19, 12 ), new Point( 20, 12 ), new Point( 21, 12 ), new Point( 22, 12 ), new Point( 23, 12 ), new Point( 24, 12 ), new Point( 25, 13 ), new Point( 26, 13 ), new Point( 27, 13 ), new Point( 28, 14 ), new Point( 29, 14 ), new Point( 30, 15 ), new Point( 31, 16 ), new Point( 32, 17 ), new Point( 33, 18 ), new Point( 33, 19 ), new Point( 34, 20 ), new Point( 34, 21 ), new Point( 35, 22 ), new Point( 35, 23 ), new Point( 35, 24 ), new Point( 36, 25 ), new Point( 36, 26 ), new Point( 36, 27 ), new Point( 36, 28 ), new Point( 36, 29 ), new Point( 36, 30 ), new Point( 36, 31 ), new Point( 36, 32 ), new Point( 36, 33 ), new Point( 36, 34 ), new Point( 35, 35 ), new Point( 35, 36 ), new Point( 35, 37 ), new Point( 34, 38 ), new Point( 34, 39 ), new Point( 33, 40 ), new Point( 32, 41 ), new Point( 31, 42 ), new Point( 30, 43 ), new Point( 30, 44 ), new Point( 29, 45 ), new Point( 28, 45 ), new Point( 27, 46 ), new Point( 26, 46 ), new Point( 25, 46 ), new Point( 24, 47 ), new Point( 23, 47 ), new Point( 22, 47 ), new Point( 21, 47 ), new Point( 20, 47 ), new Point( 19, 47 ), new Point( 18, 47 ), new Point( 17, 47 ), new Point( 16, 47 ), new Point( 15, 47 ), new Point( 14, 46 ), new Point( 13, 46 ), new Point( 12, 46 ), new Point( 11, 45 ), new Point( 10, 44 ), new Point( 9, 44 ), new Point( 8, 43 ), new Point( 7, 42 ), new Point( 6, 41 ), new Point( 5, 40 ), new Point( 5, 39 ), new Point( 4, 38 ), new Point( 4, 37 ), new Point( 4, 36 ), new Point( 3, 35 ), new Point( 3, 34 ), new Point( 3, 33 ), new Point( 3, 32 ), new Point( 2, 31 ), new Point( 2, 30 ), new Point( 2, 29 ), new Point( 2, 28 ), new Point( 3, 27 ), new Point( 3, 26 ), new Point( 3, 25 ), new Point( 3, 24 ), new Point( 4, 23 ), new Point( 4, 22 ), new Point( 5, 21 ), new Point( 5, 20 ), new Point( 6, 19 ), new Point( 6, 18 ), new Point( 7, 17 ), new Point( 8, 16 ), new Point( 9, 15 ), new Point( 10, 14 ), new Point( 11, 14 ), new Point( 12, 13 ), new Point( 13, 13 ), new Point( 14, 12 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit30
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 29, 12 ), new Point( 30, 12 ), new Point( 31, 12 ), new Point( 32, 12 ), new Point( 33, 13 ), new Point( 34, 13 ), new Point( 35, 13 ), new Point( 36, 13 ), new Point( 37, 14 ), new Point( 38, 14 ), new Point( 39, 15 ), new Point( 40, 15 ), new Point( 41, 16 ), new Point( 42, 17 ), new Point( 43, 18 ), new Point( 43, 19 ), new Point( 44, 19 ), new Point( 44, 20 ), new Point( 45, 21 ), new Point( 45, 22 ), new Point( 46, 23 ), new Point( 46, 24 ), new Point( 47, 25 ), new Point( 47, 26 ), new Point( 47, 27 ), new Point( 47, 28 ), new Point( 48, 29 ), new Point( 48, 30 ), new Point( 48, 31 ), new Point( 47, 32 ), new Point( 47, 33 ), new Point( 47, 34 ), new Point( 47, 35 ), new Point( 46, 36 ), new Point( 46, 37 ), new Point( 46, 38 ), new Point( 45, 39 ), new Point( 45, 40 ), new Point( 44, 41 ), new Point( 43, 42 ), new Point( 42, 43 ), new Point( 41, 44 ), new Point( 40, 45 ), new Point( 39, 46 ), new Point( 38, 46 ), new Point( 37, 47 ), new Point( 36, 47 ), new Point( 35, 47 ), new Point( 34, 48 ), new Point( 33, 48 ), new Point( 32, 48 ), new Point( 31, 49 ), new Point( 30, 49 ), new Point( 29, 49 ), new Point( 28, 48 ), new Point( 27, 48 ), new Point( 26, 48 ), new Point( 25, 47 ), new Point( 24, 47 ), new Point( 23, 46 ), new Point( 22, 46 ), new Point( 21, 45 ), new Point( 20, 44 ), new Point( 19, 43 ), new Point( 18, 42 ), new Point( 17, 41 ), new Point( 16, 40 ), new Point( 16, 39 ), new Point( 15, 38 ), new Point( 15, 37 ), new Point( 15, 36 ), new Point( 14, 35 ), new Point( 14, 34 ), new Point( 14, 33 ), new Point( 14, 32 ), new Point( 13, 31 ), new Point( 13, 30 ), new Point( 13, 29 ), new Point( 13, 28 ), new Point( 14, 27 ), new Point( 14, 26 ), new Point( 14, 25 ), new Point( 15, 24 ), new Point( 15, 23 ), new Point( 15, 22 ), new Point( 16, 21 ), new Point( 17, 20 ), new Point( 17, 19 ), new Point( 18, 18 ), new Point( 19, 17 ), new Point( 20, 16 ), new Point( 21, 15 ), new Point( 22, 15 ), new Point( 23, 14 ), new Point( 24, 14 ), new Point( 25, 13 ), new Point( 26, 13 ), new Point( 27, 13 ), new Point( 28, 13 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit31
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 37, 1 ), new Point( 38, 1 ), new Point( 39, 1 ), new Point( 40, 1 ), new Point( 41, 1 ), new Point( 42, 1 ), new Point( 43, 1 ), new Point( 44, 2 ), new Point( 45, 2 ), new Point( 46, 3 ), new Point( 47, 3 ), new Point( 48, 4 ), new Point( 48, 5 ), new Point( 49, 6 ), new Point( 49, 7 ), new Point( 50, 8 ), new Point( 50, 9 ), new Point( 50, 10 ), new Point( 50, 11 ), new Point( 50, 12 ), new Point( 50, 13 ), new Point( 50, 14 ), new Point( 49, 15 ), new Point( 49, 16 ), new Point( 48, 17 ), new Point( 48, 18 ), new Point( 47, 19 ), new Point( 46, 20 ), new Point( 45, 21 ), new Point( 44, 21 ), new Point( 43, 22 ), new Point( 42, 23 ), new Point( 41, 24 ), new Point( 40, 25 ), new Point( 39, 25 ), new Point( 38, 26 ), new Point( 37, 27 ), new Point( 36, 28 ), new Point( 35, 29 ), new Point( 34, 29 ), new Point( 33, 30 ), new Point( 32, 31 ), new Point( 31, 32 ), new Point( 30, 32 ), new Point( 29, 33 ), new Point( 28, 34 ), new Point( 27, 35 ), new Point( 26, 35 ), new Point( 25, 36 ), new Point( 24, 37 ), new Point( 23, 38 ), new Point( 22, 38 ), new Point( 21, 39 ), new Point( 20, 39 ), new Point( 19, 39 ), new Point( 18, 39 ), new Point( 17, 39 ), new Point( 16, 39 ), new Point( 15, 39 ), new Point( 14, 38 ), new Point( 13, 37 ), new Point( 12, 36 ), new Point( 12, 35 ), new Point( 12, 34 ), new Point( 12, 33 ), new Point( 12, 32 ), new Point( 12, 31 ), new Point( 13, 30 ), new Point( 13, 29 ), new Point( 14, 28 ), new Point( 14, 27 ), new Point( 15, 26 ), new Point( 16, 25 ), new Point( 17, 24 ), new Point( 17, 23 ), new Point( 18, 22 ), new Point( 19, 21 ), new Point( 20, 20 ), new Point( 21, 19 ), new Point( 21, 18 ), new Point( 22, 17 ), new Point( 23, 16 ), new Point( 24, 15 ), new Point( 25, 14 ), new Point( 25, 13 ), new Point( 26, 12 ), new Point( 27, 11 ), new Point( 28, 10 ), new Point( 29, 9 ), new Point( 29, 8 ), new Point( 30, 7 ), new Point( 31, 6 ), new Point( 32, 5 ), new Point( 33, 4 ), new Point( 34, 3 ), new Point( 35, 2 ), new Point( 36, 2 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit32
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 14, 13 ), new Point( 15, 12 ), new Point( 16, 12 ), new Point( 17, 11 ), new Point( 18, 11 ), new Point( 19, 11 ), new Point( 20, 12 ), new Point( 21, 12 ), new Point( 22, 13 ), new Point( 23, 13 ), new Point( 24, 14 ), new Point( 25, 15 ), new Point( 26, 15 ), new Point( 27, 16 ), new Point( 28, 17 ), new Point( 29, 18 ), new Point( 30, 18 ), new Point( 31, 19 ), new Point( 32, 20 ), new Point( 33, 21 ), new Point( 34, 21 ), new Point( 35, 22 ), new Point( 36, 23 ), new Point( 37, 24 ), new Point( 38, 24 ), new Point( 39, 25 ), new Point( 40, 26 ), new Point( 41, 27 ), new Point( 42, 27 ), new Point( 43, 28 ), new Point( 44, 29 ), new Point( 45, 30 ), new Point( 46, 30 ), new Point( 47, 31 ), new Point( 48, 32 ), new Point( 49, 33 ), new Point( 49, 34 ), new Point( 50, 35 ), new Point( 50, 36 ), new Point( 50, 37 ), new Point( 50, 38 ), new Point( 50, 39 ), new Point( 50, 40 ), new Point( 50, 41 ), new Point( 50, 42 ), new Point( 50, 43 ), new Point( 50, 44 ), new Point( 49, 45 ), new Point( 49, 46 ), new Point( 48, 47 ), new Point( 47, 48 ), new Point( 46, 49 ), new Point( 45, 49 ), new Point( 44, 50 ), new Point( 43, 50 ), new Point( 42, 50 ), new Point( 41, 50 ), new Point( 40, 50 ), new Point( 39, 50 ), new Point( 38, 49 ), new Point( 37, 49 ), new Point( 36, 49 ), new Point( 35, 48 ), new Point( 34, 47 ), new Point( 33, 46 ), new Point( 32, 45 ), new Point( 31, 44 ), new Point( 30, 43 ), new Point( 29, 42 ), new Point( 29, 41 ), new Point( 28, 40 ), new Point( 27, 39 ), new Point( 26, 38 ), new Point( 25, 37 ), new Point( 24, 36 ), new Point( 24, 35 ), new Point( 23, 34 ), new Point( 22, 33 ), new Point( 21, 32 ), new Point( 20, 31 ), new Point( 20, 30 ), new Point( 19, 29 ), new Point( 18, 28 ), new Point( 17, 27 ), new Point( 16, 26 ), new Point( 16, 25 ), new Point( 15, 24 ), new Point( 14, 23 ), new Point( 14, 22 ), new Point( 13, 21 ), new Point( 13, 20 ), new Point( 13, 19 ), new Point( 12, 18 ), new Point( 12, 17 ), new Point( 12, 16 ), new Point( 13, 15 ), new Point( 13, 14 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit33
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 31, 11 ), new Point( 32, 11 ), new Point( 33, 11 ), new Point( 34, 11 ), new Point( 35, 11 ), new Point( 36, 12 ), new Point( 37, 12 ), new Point( 38, 13 ), new Point( 38, 14 ), new Point( 39, 15 ), new Point( 39, 16 ), new Point( 39, 17 ), new Point( 39, 18 ), new Point( 39, 19 ), new Point( 38, 20 ), new Point( 38, 21 ), new Point( 37, 22 ), new Point( 37, 23 ), new Point( 36, 24 ), new Point( 35, 25 ), new Point( 34, 26 ), new Point( 33, 27 ), new Point( 33, 28 ), new Point( 32, 29 ), new Point( 31, 30 ), new Point( 30, 31 ), new Point( 30, 32 ), new Point( 29, 33 ), new Point( 28, 34 ), new Point( 27, 35 ), new Point( 27, 36 ), new Point( 26, 37 ), new Point( 25, 38 ), new Point( 25, 39 ), new Point( 24, 40 ), new Point( 23, 41 ), new Point( 22, 42 ), new Point( 21, 43 ), new Point( 20, 44 ), new Point( 20, 45 ), new Point( 19, 46 ), new Point( 18, 47 ), new Point( 17, 48 ), new Point( 16, 49 ), new Point( 15, 49 ), new Point( 14, 50 ), new Point( 13, 50 ), new Point( 12, 50 ), new Point( 11, 50 ), new Point( 10, 50 ), new Point( 9, 50 ), new Point( 8, 50 ), new Point( 7, 49 ), new Point( 6, 49 ), new Point( 5, 48 ), new Point( 4, 48 ), new Point( 4, 47 ), new Point( 3, 46 ), new Point( 2, 45 ), new Point( 2, 44 ), new Point( 1, 43 ), new Point( 1, 42 ), new Point( 1, 41 ), new Point( 1, 40 ), new Point( 1, 39 ), new Point( 1, 38 ), new Point( 1, 37 ), new Point( 2, 36 ), new Point( 2, 35 ), new Point( 3, 34 ), new Point( 3, 33 ), new Point( 4, 32 ), new Point( 5, 31 ), new Point( 6, 30 ), new Point( 7, 29 ), new Point( 8, 28 ), new Point( 9, 28 ), new Point( 10, 27 ), new Point( 11, 26 ), new Point( 12, 25 ), new Point( 13, 24 ), new Point( 14, 24 ), new Point( 15, 23 ), new Point( 16, 22 ), new Point( 17, 21 ), new Point( 18, 20 ), new Point( 19, 20 ), new Point( 20, 19 ), new Point( 21, 18 ), new Point( 22, 17 ), new Point( 23, 17 ), new Point( 24, 16 ), new Point( 25, 15 ), new Point( 26, 14 ), new Point( 27, 13 ), new Point( 28, 13 ), new Point( 29, 12 ), new Point( 30, 12 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit34
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 21, 17 ), new Point( 22, 17 ), new Point( 23, 17 ), new Point( 24, 17 ), new Point( 25, 18 ), new Point( 26, 19 ), new Point( 27, 20 ), new Point( 27, 21 ), new Point( 28, 22 ), new Point( 28, 23 ), new Point( 28, 24 ), new Point( 27, 25 ), new Point( 27, 26 ), new Point( 26, 27 ), new Point( 25, 27 ), new Point( 24, 27 ), new Point( 23, 28 ), new Point( 22, 28 ), new Point( 21, 27 ), new Point( 20, 27 ), new Point( 19, 26 ), new Point( 18, 25 ), new Point( 18, 24 ), new Point( 17, 23 ), new Point( 17, 22 ), new Point( 17, 21 ), new Point( 18, 20 ), new Point( 19, 19 ), new Point( 20, 18 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit35
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 26, 17 ), new Point( 27, 17 ), new Point( 28, 17 ), new Point( 29, 17 ), new Point( 30, 17 ), new Point( 31, 18 ), new Point( 32, 19 ), new Point( 33, 20 ), new Point( 33, 21 ), new Point( 33, 22 ), new Point( 33, 23 ), new Point( 33, 24 ), new Point( 32, 25 ), new Point( 31, 26 ), new Point( 30, 27 ), new Point( 29, 27 ), new Point( 28, 28 ), new Point( 27, 27 ), new Point( 26, 27 ), new Point( 25, 27 ), new Point( 24, 26 ), new Point( 24, 25 ), new Point( 24, 24 ), new Point( 23, 23 ), new Point( 23, 22 ), new Point( 23, 21 ), new Point( 24, 20 ), new Point( 24, 19 ), new Point( 25, 18 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit36
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 26, 23 ), new Point( 27, 23 ), new Point( 28, 23 ), new Point( 29, 23 ), new Point( 30, 23 ), new Point( 31, 24 ), new Point( 32, 25 ), new Point( 32, 26 ), new Point( 33, 27 ), new Point( 33, 28 ), new Point( 33, 29 ), new Point( 32, 30 ), new Point( 32, 31 ), new Point( 31, 32 ), new Point( 30, 32 ), new Point( 29, 33 ), new Point( 28, 33 ), new Point( 27, 33 ), new Point( 26, 33 ), new Point( 25, 32 ), new Point( 24, 31 ), new Point( 23, 30 ), new Point( 23, 29 ), new Point( 23, 28 ), new Point( 23, 27 ), new Point( 23, 26 ), new Point( 24, 25 ), new Point( 25, 24 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit37
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 21, 23 ), new Point( 22, 23 ), new Point( 23, 23 ), new Point( 24, 23 ), new Point( 25, 24 ), new Point( 26, 24 ), new Point( 27, 25 ), new Point( 27, 26 ), new Point( 28, 27 ), new Point( 28, 28 ), new Point( 27, 29 ), new Point( 27, 30 ), new Point( 26, 31 ), new Point( 26, 32 ), new Point( 25, 33 ), new Point( 24, 33 ), new Point( 23, 33 ), new Point( 22, 34 ), new Point( 21, 33 ), new Point( 20, 33 ), new Point( 19, 32 ), new Point( 18, 31 ), new Point( 18, 30 ), new Point( 17, 29 ), new Point( 17, 28 ), new Point( 17, 27 ), new Point( 18, 26 ), new Point( 18, 25 ), new Point( 19, 24 ), new Point( 20, 24 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit38
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 19, 14 ), new Point( 20, 14 ), new Point( 21, 14 ), new Point( 22, 14 ), new Point( 23, 14 ), new Point( 24, 15 ), new Point( 25, 16 ), new Point( 26, 16 ), new Point( 27, 17 ), new Point( 27, 18 ), new Point( 28, 19 ), new Point( 28, 20 ), new Point( 28, 21 ), new Point( 28, 22 ), new Point( 28, 23 ), new Point( 27, 24 ), new Point( 27, 25 ), new Point( 27, 26 ), new Point( 26, 27 ), new Point( 25, 27 ), new Point( 24, 28 ), new Point( 23, 28 ), new Point( 22, 29 ), new Point( 21, 29 ), new Point( 20, 29 ), new Point( 19, 28 ), new Point( 18, 28 ), new Point( 17, 27 ), new Point( 16, 26 ), new Point( 15, 25 ), new Point( 15, 24 ), new Point( 14, 23 ), new Point( 14, 22 ), new Point( 14, 21 ), new Point( 14, 20 ), new Point( 14, 19 ), new Point( 15, 18 ), new Point( 15, 17 ), new Point( 16, 16 ), new Point( 17, 15 ), new Point( 18, 15 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit39
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 27, 14 ), new Point( 28, 14 ), new Point( 29, 14 ), new Point( 30, 14 ), new Point( 31, 14 ), new Point( 32, 15 ), new Point( 33, 15 ), new Point( 34, 16 ), new Point( 35, 17 ), new Point( 35, 18 ), new Point( 36, 19 ), new Point( 36, 20 ), new Point( 36, 21 ), new Point( 36, 22 ), new Point( 36, 23 ), new Point( 35, 24 ), new Point( 35, 25 ), new Point( 34, 26 ), new Point( 33, 27 ), new Point( 32, 28 ), new Point( 31, 28 ), new Point( 30, 29 ), new Point( 29, 29 ), new Point( 28, 29 ), new Point( 27, 28 ), new Point( 26, 28 ), new Point( 25, 27 ), new Point( 24, 26 ), new Point( 23, 25 ), new Point( 23, 24 ), new Point( 22, 23 ), new Point( 22, 22 ), new Point( 22, 21 ), new Point( 22, 20 ), new Point( 22, 19 ), new Point( 23, 18 ), new Point( 23, 17 ), new Point( 24, 16 ), new Point( 25, 15 ), new Point( 26, 15 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit40
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 28, 22 ), new Point( 29, 22 ), new Point( 30, 22 ), new Point( 31, 22 ), new Point( 32, 22 ), new Point( 33, 23 ), new Point( 34, 23 ), new Point( 35, 24 ), new Point( 36, 25 ), new Point( 36, 26 ), new Point( 36, 27 ), new Point( 37, 28 ), new Point( 37, 29 ), new Point( 37, 30 ), new Point( 37, 31 ), new Point( 36, 32 ), new Point( 36, 33 ), new Point( 35, 34 ), new Point( 34, 35 ), new Point( 33, 35 ), new Point( 32, 36 ), new Point( 31, 36 ), new Point( 30, 36 ), new Point( 29, 36 ), new Point( 28, 36 ), new Point( 27, 35 ), new Point( 26, 35 ), new Point( 25, 34 ), new Point( 25, 33 ), new Point( 24, 32 ), new Point( 23, 31 ), new Point( 23, 30 ), new Point( 23, 29 ), new Point( 23, 28 ), new Point( 23, 27 ), new Point( 24, 26 ), new Point( 24, 25 ), new Point( 25, 24 ), new Point( 26, 23 ), new Point( 27, 23 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit41
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 19, 22 ), new Point( 20, 22 ), new Point( 21, 22 ), new Point( 22, 22 ), new Point( 23, 22 ), new Point( 24, 23 ), new Point( 25, 23 ), new Point( 26, 24 ), new Point( 27, 25 ), new Point( 27, 26 ), new Point( 28, 27 ), new Point( 28, 28 ), new Point( 28, 29 ), new Point( 28, 30 ), new Point( 28, 31 ), new Point( 27, 32 ), new Point( 27, 33 ), new Point( 26, 34 ), new Point( 25, 35 ), new Point( 24, 35 ), new Point( 23, 36 ), new Point( 22, 36 ), new Point( 21, 36 ), new Point( 20, 36 ), new Point( 19, 36 ), new Point( 18, 35 ), new Point( 17, 35 ), new Point( 16, 34 ), new Point( 16, 33 ), new Point( 15, 32 ), new Point( 15, 31 ), new Point( 14, 30 ), new Point( 14, 29 ), new Point( 14, 28 ), new Point( 14, 27 ), new Point( 15, 26 ), new Point( 15, 25 ), new Point( 16, 24 ), new Point( 17, 23 ), new Point( 18, 23 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit42
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 19, 11 ), new Point( 20, 11 ), new Point( 21, 11 ), new Point( 22, 12 ), new Point( 23, 12 ), new Point( 24, 12 ), new Point( 25, 13 ), new Point( 26, 14 ), new Point( 27, 15 ), new Point( 27, 16 ), new Point( 28, 17 ), new Point( 28, 18 ), new Point( 28, 19 ), new Point( 29, 20 ), new Point( 29, 21 ), new Point( 28, 22 ), new Point( 28, 23 ), new Point( 28, 24 ), new Point( 27, 25 ), new Point( 27, 26 ), new Point( 26, 27 ), new Point( 25, 28 ), new Point( 24, 28 ), new Point( 23, 29 ), new Point( 22, 29 ), new Point( 21, 30 ), new Point( 20, 30 ), new Point( 19, 30 ), new Point( 18, 29 ), new Point( 17, 29 ), new Point( 16, 28 ), new Point( 15, 28 ), new Point( 14, 27 ), new Point( 13, 26 ), new Point( 12, 25 ), new Point( 12, 24 ), new Point( 12, 23 ), new Point( 11, 22 ), new Point( 11, 21 ), new Point( 11, 20 ), new Point( 11, 19 ), new Point( 11, 18 ), new Point( 12, 17 ), new Point( 12, 16 ), new Point( 13, 15 ), new Point( 13, 14 ), new Point( 14, 13 ), new Point( 15, 13 ), new Point( 16, 12 ), new Point( 17, 12 ), new Point( 18, 11 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit43
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 28, 11 ), new Point( 29, 11 ), new Point( 30, 11 ), new Point( 31, 11 ), new Point( 32, 12 ), new Point( 33, 12 ), new Point( 34, 12 ), new Point( 35, 13 ), new Point( 36, 14 ), new Point( 37, 15 ), new Point( 37, 16 ), new Point( 38, 17 ), new Point( 38, 18 ), new Point( 38, 19 ), new Point( 38, 20 ), new Point( 38, 21 ), new Point( 38, 22 ), new Point( 38, 23 ), new Point( 37, 24 ), new Point( 37, 25 ), new Point( 36, 26 ), new Point( 35, 27 ), new Point( 34, 28 ), new Point( 33, 28 ), new Point( 32, 29 ), new Point( 31, 29 ), new Point( 30, 29 ), new Point( 29, 29 ), new Point( 28, 29 ), new Point( 27, 29 ), new Point( 26, 28 ), new Point( 25, 28 ), new Point( 24, 27 ), new Point( 23, 26 ), new Point( 23, 25 ), new Point( 22, 24 ), new Point( 22, 23 ), new Point( 21, 22 ), new Point( 21, 21 ), new Point( 21, 20 ), new Point( 21, 19 ), new Point( 21, 18 ), new Point( 22, 17 ), new Point( 22, 16 ), new Point( 23, 15 ), new Point( 23, 14 ), new Point( 24, 13 ), new Point( 25, 13 ), new Point( 26, 12 ), new Point( 27, 12 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit44
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 28, 21 ), new Point( 29, 21 ), new Point( 30, 21 ), new Point( 31, 21 ), new Point( 32, 21 ), new Point( 33, 22 ), new Point( 34, 22 ), new Point( 35, 23 ), new Point( 36, 24 ), new Point( 37, 25 ), new Point( 37, 26 ), new Point( 38, 27 ), new Point( 38, 28 ), new Point( 38, 29 ), new Point( 38, 30 ), new Point( 38, 31 ), new Point( 38, 32 ), new Point( 38, 33 ), new Point( 37, 34 ), new Point( 37, 35 ), new Point( 36, 36 ), new Point( 36, 37 ), new Point( 35, 38 ), new Point( 34, 38 ), new Point( 33, 39 ), new Point( 32, 39 ), new Point( 31, 40 ), new Point( 30, 40 ), new Point( 29, 40 ), new Point( 28, 39 ), new Point( 27, 39 ), new Point( 26, 38 ), new Point( 25, 38 ), new Point( 24, 37 ), new Point( 23, 36 ), new Point( 23, 35 ), new Point( 22, 34 ), new Point( 22, 33 ), new Point( 21, 32 ), new Point( 21, 31 ), new Point( 21, 30 ), new Point( 21, 29 ), new Point( 21, 28 ), new Point( 22, 27 ), new Point( 22, 26 ), new Point( 23, 25 ), new Point( 23, 24 ), new Point( 24, 23 ), new Point( 25, 23 ), new Point( 26, 22 ), new Point( 27, 22 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit45
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 18, 21 ), new Point( 19, 21 ), new Point( 20, 21 ), new Point( 21, 21 ), new Point( 22, 21 ), new Point( 23, 22 ), new Point( 24, 22 ), new Point( 25, 23 ), new Point( 26, 24 ), new Point( 27, 25 ), new Point( 27, 26 ), new Point( 28, 27 ), new Point( 28, 28 ), new Point( 28, 29 ), new Point( 28, 30 ), new Point( 28, 31 ), new Point( 28, 32 ), new Point( 28, 33 ), new Point( 27, 34 ), new Point( 27, 35 ), new Point( 26, 36 ), new Point( 26, 37 ), new Point( 25, 38 ), new Point( 24, 38 ), new Point( 23, 39 ), new Point( 22, 39 ), new Point( 21, 39 ), new Point( 20, 39 ), new Point( 19, 39 ), new Point( 18, 39 ), new Point( 17, 38 ), new Point( 16, 38 ), new Point( 15, 38 ), new Point( 14, 37 ), new Point( 13, 36 ), new Point( 13, 35 ), new Point( 12, 34 ), new Point( 12, 33 ), new Point( 11, 32 ), new Point( 11, 31 ), new Point( 11, 30 ), new Point( 11, 29 ), new Point( 11, 28 ), new Point( 12, 27 ), new Point( 12, 26 ), new Point( 13, 25 ), new Point( 13, 24 ), new Point( 14, 23 ), new Point( 15, 22 ), new Point( 16, 22 ), new Point( 17, 22 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit46
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 17, 9 ), new Point( 18, 9 ), new Point( 19, 9 ), new Point( 20, 9 ), new Point( 21, 9 ), new Point( 22, 10 ), new Point( 23, 10 ), new Point( 24, 11 ), new Point( 25, 12 ), new Point( 26, 12 ), new Point( 27, 13 ), new Point( 27, 14 ), new Point( 28, 15 ), new Point( 28, 16 ), new Point( 28, 17 ), new Point( 29, 18 ), new Point( 29, 19 ), new Point( 29, 20 ), new Point( 29, 21 ), new Point( 28, 22 ), new Point( 28, 23 ), new Point( 28, 24 ), new Point( 27, 25 ), new Point( 27, 26 ), new Point( 26, 27 ), new Point( 25, 28 ), new Point( 24, 29 ), new Point( 23, 29 ), new Point( 22, 29 ), new Point( 21, 30 ), new Point( 20, 30 ), new Point( 19, 30 ), new Point( 18, 30 ), new Point( 17, 30 ), new Point( 16, 30 ), new Point( 15, 29 ), new Point( 14, 29 ), new Point( 13, 28 ), new Point( 12, 28 ), new Point( 11, 27 ), new Point( 10, 26 ), new Point( 10, 25 ), new Point( 10, 24 ), new Point( 9, 23 ), new Point( 9, 22 ), new Point( 9, 21 ), new Point( 9, 20 ), new Point( 9, 19 ), new Point( 9, 18 ), new Point( 9, 17 ), new Point( 10, 16 ), new Point( 10, 15 ), new Point( 10, 14 ), new Point( 11, 13 ), new Point( 12, 12 ), new Point( 13, 11 ), new Point( 14, 10 ), new Point( 15, 10 ), new Point( 16, 9 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit47
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 29, 9 ), new Point( 30, 9 ), new Point( 31, 9 ), new Point( 32, 9 ), new Point( 33, 9 ), new Point( 34, 10 ), new Point( 35, 10 ), new Point( 36, 11 ), new Point( 37, 11 ), new Point( 38, 12 ), new Point( 39, 13 ), new Point( 39, 14 ), new Point( 40, 15 ), new Point( 40, 16 ), new Point( 41, 17 ), new Point( 41, 18 ), new Point( 41, 19 ), new Point( 41, 20 ), new Point( 41, 21 ), new Point( 41, 22 ), new Point( 40, 23 ), new Point( 40, 24 ), new Point( 39, 25 ), new Point( 39, 26 ), new Point( 38, 27 ), new Point( 37, 28 ), new Point( 36, 29 ), new Point( 35, 29 ), new Point( 34, 29 ), new Point( 33, 30 ), new Point( 32, 30 ), new Point( 31, 30 ), new Point( 30, 30 ), new Point( 29, 30 ), new Point( 28, 29 ), new Point( 27, 29 ), new Point( 26, 29 ), new Point( 25, 28 ), new Point( 24, 27 ), new Point( 23, 26 ), new Point( 22, 25 ), new Point( 22, 24 ), new Point( 22, 23 ), new Point( 21, 22 ), new Point( 21, 21 ), new Point( 21, 20 ), new Point( 21, 19 ), new Point( 21, 18 ), new Point( 21, 17 ), new Point( 22, 16 ), new Point( 22, 15 ), new Point( 23, 14 ), new Point( 23, 13 ), new Point( 24, 12 ), new Point( 25, 11 ), new Point( 26, 10 ), new Point( 27, 10 ), new Point( 28, 9 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit48
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 28, 20 ), new Point( 29, 20 ), new Point( 30, 20 ), new Point( 31, 20 ), new Point( 32, 20 ), new Point( 33, 20 ), new Point( 34, 20 ), new Point( 35, 21 ), new Point( 36, 21 ), new Point( 37, 22 ), new Point( 38, 23 ), new Point( 39, 24 ), new Point( 39, 25 ), new Point( 40, 26 ), new Point( 40, 27 ), new Point( 41, 28 ), new Point( 41, 29 ), new Point( 41, 30 ), new Point( 41, 31 ), new Point( 41, 32 ), new Point( 41, 33 ), new Point( 40, 34 ), new Point( 40, 35 ), new Point( 39, 36 ), new Point( 38, 37 ), new Point( 38, 38 ), new Point( 37, 39 ), new Point( 36, 40 ), new Point( 35, 40 ), new Point( 34, 40 ), new Point( 33, 41 ), new Point( 32, 41 ), new Point( 31, 41 ), new Point( 30, 41 ), new Point( 29, 41 ), new Point( 28, 40 ), new Point( 27, 40 ), new Point( 26, 39 ), new Point( 25, 39 ), new Point( 24, 38 ), new Point( 23, 37 ), new Point( 23, 36 ), new Point( 22, 35 ), new Point( 22, 34 ), new Point( 22, 33 ), new Point( 21, 32 ), new Point( 21, 31 ), new Point( 21, 30 ), new Point( 21, 29 ), new Point( 21, 28 ), new Point( 22, 27 ), new Point( 22, 26 ), new Point( 22, 25 ), new Point( 23, 24 ), new Point( 24, 23 ), new Point( 25, 22 ), new Point( 26, 21 ), new Point( 27, 21 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit49
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 17, 20 ), new Point( 18, 20 ), new Point( 19, 20 ), new Point( 20, 20 ), new Point( 21, 20 ), new Point( 22, 21 ), new Point( 23, 21 ), new Point( 24, 22 ), new Point( 25, 22 ), new Point( 26, 23 ), new Point( 27, 24 ), new Point( 27, 25 ), new Point( 28, 26 ), new Point( 28, 27 ), new Point( 28, 28 ), new Point( 29, 29 ), new Point( 29, 30 ), new Point( 29, 31 ), new Point( 29, 32 ), new Point( 28, 33 ), new Point( 28, 34 ), new Point( 27, 35 ), new Point( 27, 36 ), new Point( 26, 37 ), new Point( 26, 38 ), new Point( 25, 39 ), new Point( 24, 40 ), new Point( 23, 40 ), new Point( 22, 40 ), new Point( 21, 41 ), new Point( 20, 41 ), new Point( 19, 41 ), new Point( 18, 41 ), new Point( 17, 41 ), new Point( 16, 40 ), new Point( 15, 40 ), new Point( 14, 40 ), new Point( 13, 39 ), new Point( 12, 38 ), new Point( 11, 37 ), new Point( 10, 36 ), new Point( 10, 35 ), new Point( 10, 34 ), new Point( 9, 33 ), new Point( 9, 32 ), new Point( 9, 31 ), new Point( 9, 30 ), new Point( 9, 29 ), new Point( 9, 28 ), new Point( 9, 27 ), new Point( 10, 26 ), new Point( 10, 25 ), new Point( 11, 24 ), new Point( 12, 23 ), new Point( 13, 22 ), new Point( 14, 21 ), new Point( 15, 21 ), new Point( 16, 20 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit50
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 17, 6 ), new Point( 18, 6 ), new Point( 19, 6 ), new Point( 20, 6 ), new Point( 21, 6 ), new Point( 22, 7 ), new Point( 23, 7 ), new Point( 24, 7 ), new Point( 25, 8 ), new Point( 26, 9 ), new Point( 27, 10 ), new Point( 28, 11 ), new Point( 29, 12 ), new Point( 29, 13 ), new Point( 30, 14 ), new Point( 30, 15 ), new Point( 30, 16 ), new Point( 31, 17 ), new Point( 31, 18 ), new Point( 31, 19 ), new Point( 31, 20 ), new Point( 31, 21 ), new Point( 31, 22 ), new Point( 31, 23 ), new Point( 30, 24 ), new Point( 30, 25 ), new Point( 29, 26 ), new Point( 29, 27 ), new Point( 29, 28 ), new Point( 28, 29 ), new Point( 27, 29 ), new Point( 26, 30 ), new Point( 25, 30 ), new Point( 24, 31 ), new Point( 23, 31 ), new Point( 22, 31 ), new Point( 21, 31 ), new Point( 20, 32 ), new Point( 19, 32 ), new Point( 18, 32 ), new Point( 17, 31 ), new Point( 16, 31 ), new Point( 15, 30 ), new Point( 14, 30 ), new Point( 13, 29 ), new Point( 12, 29 ), new Point( 11, 28 ), new Point( 10, 27 ), new Point( 9, 26 ), new Point( 8, 25 ), new Point( 8, 24 ), new Point( 7, 23 ), new Point( 7, 22 ), new Point( 7, 21 ), new Point( 7, 20 ), new Point( 6, 19 ), new Point( 6, 18 ), new Point( 7, 17 ), new Point( 7, 16 ), new Point( 8, 15 ), new Point( 8, 14 ), new Point( 9, 13 ), new Point( 9, 12 ), new Point( 10, 11 ), new Point( 10, 10 ), new Point( 11, 9 ), new Point( 12, 8 ), new Point( 13, 8 ), new Point( 14, 7 ), new Point( 15, 7 ), new Point( 16, 6 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit51
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 27, 5 ), new Point( 28, 5 ), new Point( 29, 5 ), new Point( 30, 5 ), new Point( 31, 5 ), new Point( 32, 5 ), new Point( 33, 5 ), new Point( 34, 6 ), new Point( 35, 6 ), new Point( 36, 7 ), new Point( 37, 7 ), new Point( 38, 8 ), new Point( 39, 9 ), new Point( 40, 10 ), new Point( 41, 11 ), new Point( 41, 12 ), new Point( 42, 13 ), new Point( 42, 14 ), new Point( 42, 15 ), new Point( 43, 16 ), new Point( 43, 17 ), new Point( 43, 18 ), new Point( 43, 19 ), new Point( 42, 20 ), new Point( 42, 21 ), new Point( 42, 22 ), new Point( 41, 23 ), new Point( 41, 24 ), new Point( 40, 25 ), new Point( 39, 26 ), new Point( 39, 27 ), new Point( 38, 28 ), new Point( 37, 29 ), new Point( 36, 29 ), new Point( 35, 29 ), new Point( 34, 30 ), new Point( 33, 30 ), new Point( 32, 30 ), new Point( 31, 31 ), new Point( 30, 31 ), new Point( 29, 31 ), new Point( 28, 31 ), new Point( 27, 30 ), new Point( 26, 30 ), new Point( 25, 29 ), new Point( 24, 29 ), new Point( 23, 28 ), new Point( 22, 27 ), new Point( 21, 26 ), new Point( 20, 25 ), new Point( 20, 24 ), new Point( 20, 23 ), new Point( 19, 22 ), new Point( 19, 21 ), new Point( 19, 20 ), new Point( 19, 19 ), new Point( 19, 18 ), new Point( 19, 17 ), new Point( 19, 16 ), new Point( 19, 15 ), new Point( 20, 14 ), new Point( 20, 13 ), new Point( 20, 12 ), new Point( 21, 11 ), new Point( 22, 10 ), new Point( 22, 9 ), new Point( 23, 8 ), new Point( 24, 7 ), new Point( 25, 6 ), new Point( 26, 6 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit52
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 29, 18 ), new Point( 30, 18 ), new Point( 31, 18 ), new Point( 32, 18 ), new Point( 33, 18 ), new Point( 34, 18 ), new Point( 35, 19 ), new Point( 36, 19 ), new Point( 37, 19 ), new Point( 38, 20 ), new Point( 39, 21 ), new Point( 40, 21 ), new Point( 41, 22 ), new Point( 42, 23 ), new Point( 42, 24 ), new Point( 43, 25 ), new Point( 43, 26 ), new Point( 44, 27 ), new Point( 44, 28 ), new Point( 44, 29 ), new Point( 44, 30 ), new Point( 44, 31 ), new Point( 44, 32 ), new Point( 43, 33 ), new Point( 43, 34 ), new Point( 43, 35 ), new Point( 42, 36 ), new Point( 42, 37 ), new Point( 41, 38 ), new Point( 41, 39 ), new Point( 40, 40 ), new Point( 39, 41 ), new Point( 38, 42 ), new Point( 37, 42 ), new Point( 36, 42 ), new Point( 35, 43 ), new Point( 34, 43 ), new Point( 33, 43 ), new Point( 32, 43 ), new Point( 31, 43 ), new Point( 30, 43 ), new Point( 29, 43 ), new Point( 28, 42 ), new Point( 27, 42 ), new Point( 26, 41 ), new Point( 25, 40 ), new Point( 24, 40 ), new Point( 23, 39 ), new Point( 22, 38 ), new Point( 22, 37 ), new Point( 21, 36 ), new Point( 21, 35 ), new Point( 21, 34 ), new Point( 20, 33 ), new Point( 20, 32 ), new Point( 20, 31 ), new Point( 19, 30 ), new Point( 19, 29 ), new Point( 19, 28 ), new Point( 19, 27 ), new Point( 20, 26 ), new Point( 20, 25 ), new Point( 21, 24 ), new Point( 21, 23 ), new Point( 22, 22 ), new Point( 23, 21 ), new Point( 24, 20 ), new Point( 25, 20 ), new Point( 26, 19 ), new Point( 27, 19 ), new Point( 28, 19 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit53
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 19, 19 ), new Point( 20, 19 ), new Point( 21, 19 ), new Point( 22, 19 ), new Point( 23, 20 ), new Point( 24, 20 ), new Point( 25, 20 ), new Point( 26, 21 ), new Point( 27, 21 ), new Point( 28, 22 ), new Point( 29, 23 ), new Point( 29, 24 ), new Point( 30, 25 ), new Point( 30, 26 ), new Point( 30, 27 ), new Point( 31, 28 ), new Point( 31, 29 ), new Point( 31, 30 ), new Point( 31, 31 ), new Point( 31, 32 ), new Point( 31, 33 ), new Point( 31, 34 ), new Point( 30, 35 ), new Point( 30, 36 ), new Point( 30, 37 ), new Point( 29, 38 ), new Point( 29, 39 ), new Point( 28, 40 ), new Point( 27, 41 ), new Point( 26, 42 ), new Point( 25, 43 ), new Point( 24, 44 ), new Point( 23, 44 ), new Point( 22, 44 ), new Point( 21, 45 ), new Point( 20, 45 ), new Point( 19, 45 ), new Point( 18, 45 ), new Point( 17, 44 ), new Point( 16, 44 ), new Point( 15, 43 ), new Point( 14, 43 ), new Point( 13, 42 ), new Point( 12, 42 ), new Point( 11, 41 ), new Point( 10, 40 ), new Point( 9, 39 ), new Point( 9, 38 ), new Point( 8, 37 ), new Point( 8, 36 ), new Point( 8, 35 ), new Point( 7, 34 ), new Point( 7, 33 ), new Point( 7, 32 ), new Point( 7, 31 ), new Point( 7, 30 ), new Point( 8, 29 ), new Point( 8, 28 ), new Point( 8, 27 ), new Point( 9, 26 ), new Point( 9, 25 ), new Point( 10, 24 ), new Point( 11, 23 ), new Point( 12, 22 ), new Point( 13, 21 ), new Point( 14, 21 ), new Point( 15, 20 ), new Point( 16, 20 ), new Point( 17, 20 ), new Point( 18, 19 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit54
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 15, 3 ), new Point( 16, 3 ), new Point( 17, 3 ), new Point( 18, 2 ), new Point( 19, 2 ), new Point( 20, 2 ), new Point( 21, 3 ), new Point( 22, 3 ), new Point( 23, 3 ), new Point( 24, 4 ), new Point( 25, 4 ), new Point( 26, 5 ), new Point( 27, 5 ), new Point( 28, 6 ), new Point( 29, 7 ), new Point( 30, 8 ), new Point( 30, 9 ), new Point( 31, 10 ), new Point( 31, 11 ), new Point( 32, 12 ), new Point( 32, 13 ), new Point( 33, 14 ), new Point( 33, 15 ), new Point( 33, 16 ), new Point( 33, 17 ), new Point( 33, 18 ), new Point( 33, 19 ), new Point( 33, 20 ), new Point( 33, 21 ), new Point( 33, 22 ), new Point( 32, 23 ), new Point( 32, 24 ), new Point( 31, 25 ), new Point( 31, 26 ), new Point( 30, 27 ), new Point( 30, 28 ), new Point( 29, 29 ), new Point( 28, 30 ), new Point( 27, 31 ), new Point( 26, 31 ), new Point( 25, 32 ), new Point( 24, 32 ), new Point( 23, 33 ), new Point( 22, 33 ), new Point( 21, 34 ), new Point( 20, 34 ), new Point( 19, 34 ), new Point( 18, 34 ), new Point( 17, 34 ), new Point( 16, 33 ), new Point( 15, 33 ), new Point( 14, 33 ), new Point( 13, 32 ), new Point( 12, 32 ), new Point( 11, 31 ), new Point( 10, 31 ), new Point( 9, 30 ), new Point( 8, 30 ), new Point( 7, 29 ), new Point( 6, 28 ), new Point( 6, 27 ), new Point( 5, 26 ), new Point( 5, 25 ), new Point( 5, 24 ), new Point( 5, 23 ), new Point( 4, 22 ), new Point( 4, 21 ), new Point( 4, 20 ), new Point( 3, 19 ), new Point( 3, 18 ), new Point( 3, 17 ), new Point( 4, 16 ), new Point( 4, 15 ), new Point( 4, 14 ), new Point( 4, 13 ), new Point( 5, 12 ), new Point( 5, 11 ), new Point( 6, 10 ), new Point( 6, 9 ), new Point( 7, 8 ), new Point( 8, 7 ), new Point( 9, 6 ), new Point( 10, 5 ), new Point( 11, 4 ), new Point( 12, 4 ), new Point( 13, 4 ), new Point( 14, 3 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit55
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 29, 3 ), new Point( 30, 3 ), new Point( 31, 3 ), new Point( 32, 3 ), new Point( 33, 3 ), new Point( 34, 3 ), new Point( 35, 3 ), new Point( 36, 3 ), new Point( 37, 4 ), new Point( 38, 4 ), new Point( 39, 5 ), new Point( 40, 5 ), new Point( 41, 6 ), new Point( 42, 7 ), new Point( 43, 8 ), new Point( 44, 9 ), new Point( 44, 10 ), new Point( 45, 11 ), new Point( 45, 12 ), new Point( 46, 13 ), new Point( 46, 14 ), new Point( 46, 15 ), new Point( 47, 16 ), new Point( 47, 17 ), new Point( 47, 18 ), new Point( 47, 19 ), new Point( 47, 20 ), new Point( 47, 21 ), new Point( 46, 22 ), new Point( 46, 23 ), new Point( 46, 24 ), new Point( 45, 25 ), new Point( 45, 26 ), new Point( 44, 27 ), new Point( 44, 28 ), new Point( 43, 29 ), new Point( 42, 30 ), new Point( 41, 31 ), new Point( 40, 32 ), new Point( 39, 32 ), new Point( 38, 33 ), new Point( 37, 33 ), new Point( 36, 34 ), new Point( 35, 34 ), new Point( 34, 34 ), new Point( 33, 35 ), new Point( 32, 35 ), new Point( 31, 35 ), new Point( 30, 34 ), new Point( 29, 34 ), new Point( 28, 34 ), new Point( 27, 33 ), new Point( 26, 33 ), new Point( 25, 32 ), new Point( 24, 31 ), new Point( 23, 31 ), new Point( 22, 30 ), new Point( 21, 29 ), new Point( 20, 28 ), new Point( 20, 27 ), new Point( 19, 26 ), new Point( 19, 25 ), new Point( 18, 24 ), new Point( 18, 23 ), new Point( 18, 22 ), new Point( 17, 21 ), new Point( 17, 20 ), new Point( 17, 19 ), new Point( 17, 18 ), new Point( 17, 17 ), new Point( 18, 16 ), new Point( 18, 15 ), new Point( 18, 14 ), new Point( 19, 13 ), new Point( 19, 12 ), new Point( 19, 11 ), new Point( 20, 10 ), new Point( 21, 9 ), new Point( 21, 8 ), new Point( 22, 7 ), new Point( 23, 6 ), new Point( 24, 6 ), new Point( 25, 5 ), new Point( 26, 5 ), new Point( 27, 4 ), new Point( 28, 4 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit56
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 30, 16 ), new Point( 31, 16 ), new Point( 32, 16 ), new Point( 33, 16 ), new Point( 34, 17 ), new Point( 35, 17 ), new Point( 36, 17 ), new Point( 37, 18 ), new Point( 38, 18 ), new Point( 39, 19 ), new Point( 40, 19 ), new Point( 41, 20 ), new Point( 42, 20 ), new Point( 43, 21 ), new Point( 44, 22 ), new Point( 44, 23 ), new Point( 45, 24 ), new Point( 45, 25 ), new Point( 46, 26 ), new Point( 46, 27 ), new Point( 46, 28 ), new Point( 46, 29 ), new Point( 47, 30 ), new Point( 47, 31 ), new Point( 47, 32 ), new Point( 47, 33 ), new Point( 47, 34 ), new Point( 46, 35 ), new Point( 46, 36 ), new Point( 46, 37 ), new Point( 45, 38 ), new Point( 45, 39 ), new Point( 45, 40 ), new Point( 44, 41 ), new Point( 43, 42 ), new Point( 42, 43 ), new Point( 41, 44 ), new Point( 40, 45 ), new Point( 39, 46 ), new Point( 38, 46 ), new Point( 37, 47 ), new Point( 36, 47 ), new Point( 35, 47 ), new Point( 34, 47 ), new Point( 33, 48 ), new Point( 32, 48 ), new Point( 31, 48 ), new Point( 30, 48 ), new Point( 29, 47 ), new Point( 28, 47 ), new Point( 27, 47 ), new Point( 26, 46 ), new Point( 25, 46 ), new Point( 24, 45 ), new Point( 23, 45 ), new Point( 22, 44 ), new Point( 21, 43 ), new Point( 21, 42 ), new Point( 20, 41 ), new Point( 19, 40 ), new Point( 18, 39 ), new Point( 18, 38 ), new Point( 18, 37 ), new Point( 17, 36 ), new Point( 17, 35 ), new Point( 17, 34 ), new Point( 17, 33 ), new Point( 17, 32 ), new Point( 17, 31 ), new Point( 17, 30 ), new Point( 17, 29 ), new Point( 17, 28 ), new Point( 18, 27 ), new Point( 18, 26 ), new Point( 19, 25 ), new Point( 19, 24 ), new Point( 20, 23 ), new Point( 21, 22 ), new Point( 21, 21 ), new Point( 22, 20 ), new Point( 23, 19 ), new Point( 24, 19 ), new Point( 25, 18 ), new Point( 26, 18 ), new Point( 27, 17 ), new Point( 28, 17 ), new Point( 29, 17 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit57
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 17, 16 ), new Point( 18, 16 ), new Point( 19, 16 ), new Point( 20, 16 ), new Point( 21, 17 ), new Point( 22, 17 ), new Point( 23, 18 ), new Point( 24, 18 ), new Point( 25, 18 ), new Point( 26, 19 ), new Point( 27, 19 ), new Point( 28, 20 ), new Point( 29, 21 ), new Point( 30, 22 ), new Point( 31, 23 ), new Point( 31, 24 ), new Point( 32, 25 ), new Point( 32, 26 ), new Point( 32, 27 ), new Point( 33, 28 ), new Point( 33, 29 ), new Point( 33, 30 ), new Point( 33, 31 ), new Point( 33, 32 ), new Point( 33, 33 ), new Point( 33, 34 ), new Point( 33, 35 ), new Point( 32, 36 ), new Point( 32, 37 ), new Point( 32, 38 ), new Point( 31, 39 ), new Point( 31, 40 ), new Point( 30, 41 ), new Point( 30, 42 ), new Point( 29, 43 ), new Point( 28, 44 ), new Point( 27, 45 ), new Point( 26, 46 ), new Point( 25, 46 ), new Point( 24, 47 ), new Point( 23, 47 ), new Point( 22, 47 ), new Point( 21, 48 ), new Point( 20, 48 ), new Point( 19, 48 ), new Point( 18, 48 ), new Point( 17, 48 ), new Point( 16, 48 ), new Point( 15, 47 ), new Point( 14, 47 ), new Point( 13, 47 ), new Point( 12, 46 ), new Point( 11, 46 ), new Point( 10, 45 ), new Point( 9, 44 ), new Point( 8, 44 ), new Point( 7, 43 ), new Point( 6, 42 ), new Point( 6, 41 ), new Point( 5, 40 ), new Point( 5, 39 ), new Point( 5, 38 ), new Point( 4, 37 ), new Point( 4, 36 ), new Point( 4, 35 ), new Point( 4, 34 ), new Point( 3, 33 ), new Point( 3, 32 ), new Point( 3, 31 ), new Point( 3, 30 ), new Point( 4, 29 ), new Point( 4, 28 ), new Point( 4, 27 ), new Point( 5, 26 ), new Point( 5, 25 ), new Point( 6, 24 ), new Point( 6, 23 ), new Point( 7, 22 ), new Point( 8, 21 ), new Point( 9, 20 ), new Point( 10, 19 ), new Point( 11, 19 ), new Point( 12, 18 ), new Point( 13, 18 ), new Point( 14, 17 ), new Point( 15, 17 ), new Point( 16, 16 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit58
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 35, 2 ), new Point( 36, 2 ), new Point( 37, 2 ), new Point( 38, 2 ), new Point( 39, 2 ), new Point( 40, 2 ), new Point( 41, 2 ), new Point( 42, 2 ), new Point( 43, 3 ), new Point( 44, 3 ), new Point( 45, 3 ), new Point( 46, 4 ), new Point( 47, 5 ), new Point( 47, 6 ), new Point( 48, 7 ), new Point( 48, 8 ), new Point( 48, 9 ), new Point( 49, 10 ), new Point( 49, 11 ), new Point( 49, 12 ), new Point( 48, 13 ), new Point( 48, 14 ), new Point( 48, 15 ), new Point( 48, 16 ), new Point( 47, 17 ), new Point( 47, 18 ), new Point( 47, 19 ), new Point( 46, 20 ), new Point( 46, 21 ), new Point( 45, 22 ), new Point( 44, 23 ), new Point( 43, 24 ), new Point( 42, 25 ), new Point( 41, 26 ), new Point( 40, 27 ), new Point( 39, 28 ), new Point( 38, 28 ), new Point( 37, 29 ), new Point( 36, 29 ), new Point( 35, 30 ), new Point( 34, 30 ), new Point( 33, 30 ), new Point( 32, 31 ), new Point( 31, 31 ), new Point( 30, 31 ), new Point( 29, 32 ), new Point( 28, 32 ), new Point( 27, 31 ), new Point( 26, 31 ), new Point( 25, 30 ), new Point( 24, 30 ), new Point( 23, 30 ), new Point( 22, 29 ), new Point( 21, 28 ), new Point( 21, 27 ), new Point( 20, 26 ), new Point( 20, 25 ), new Point( 20, 24 ), new Point( 19, 23 ), new Point( 19, 22 ), new Point( 19, 21 ), new Point( 20, 20 ), new Point( 20, 19 ), new Point( 20, 18 ), new Point( 21, 17 ), new Point( 21, 16 ), new Point( 21, 15 ), new Point( 22, 14 ), new Point( 22, 13 ), new Point( 23, 12 ), new Point( 23, 11 ), new Point( 24, 10 ), new Point( 25, 9 ), new Point( 26, 8 ), new Point( 27, 7 ), new Point( 28, 6 ), new Point( 29, 5 ), new Point( 30, 4 ), new Point( 31, 4 ), new Point( 32, 3 ), new Point( 33, 3 ), new Point( 34, 3 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit59
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 26, 19 ), new Point( 27, 19 ), new Point( 28, 19 ), new Point( 29, 19 ), new Point( 30, 19 ), new Point( 31, 19 ), new Point( 32, 20 ), new Point( 33, 20 ), new Point( 34, 20 ), new Point( 35, 21 ), new Point( 36, 21 ), new Point( 37, 22 ), new Point( 38, 22 ), new Point( 39, 23 ), new Point( 40, 23 ), new Point( 41, 24 ), new Point( 42, 25 ), new Point( 43, 26 ), new Point( 44, 27 ), new Point( 44, 28 ), new Point( 45, 29 ), new Point( 46, 30 ), new Point( 46, 31 ), new Point( 47, 32 ), new Point( 47, 33 ), new Point( 47, 34 ), new Point( 48, 35 ), new Point( 48, 36 ), new Point( 48, 37 ), new Point( 48, 38 ), new Point( 48, 39 ), new Point( 48, 40 ), new Point( 48, 41 ), new Point( 48, 42 ), new Point( 48, 43 ), new Point( 47, 44 ), new Point( 47, 45 ), new Point( 46, 46 ), new Point( 45, 47 ), new Point( 44, 48 ), new Point( 43, 48 ), new Point( 42, 49 ), new Point( 41, 49 ), new Point( 40, 49 ), new Point( 39, 49 ), new Point( 38, 49 ), new Point( 37, 49 ), new Point( 36, 48 ), new Point( 35, 48 ), new Point( 34, 48 ), new Point( 33, 47 ), new Point( 32, 47 ), new Point( 31, 47 ), new Point( 30, 46 ), new Point( 29, 45 ), new Point( 28, 44 ), new Point( 27, 44 ), new Point( 26, 43 ), new Point( 25, 42 ), new Point( 24, 41 ), new Point( 23, 40 ), new Point( 23, 39 ), new Point( 22, 38 ), new Point( 22, 37 ), new Point( 21, 36 ), new Point( 21, 35 ), new Point( 20, 34 ), new Point( 20, 33 ), new Point( 20, 32 ), new Point( 20, 31 ), new Point( 19, 30 ), new Point( 19, 29 ), new Point( 19, 28 ), new Point( 20, 27 ), new Point( 20, 26 ), new Point( 20, 25 ), new Point( 20, 24 ), new Point( 21, 23 ), new Point( 21, 22 ), new Point( 22, 21 ), new Point( 23, 20 ), new Point( 24, 20 ), new Point( 25, 20 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit60
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 20, 19 ), new Point( 21, 19 ), new Point( 22, 19 ), new Point( 23, 19 ), new Point( 24, 20 ), new Point( 25, 20 ), new Point( 26, 20 ), new Point( 27, 20 ), new Point( 28, 21 ), new Point( 29, 22 ), new Point( 29, 23 ), new Point( 30, 24 ), new Point( 30, 25 ), new Point( 30, 26 ), new Point( 31, 27 ), new Point( 31, 28 ), new Point( 31, 29 ), new Point( 31, 30 ), new Point( 30, 31 ), new Point( 30, 32 ), new Point( 30, 33 ), new Point( 30, 34 ), new Point( 29, 35 ), new Point( 29, 36 ), new Point( 29, 37 ), new Point( 28, 38 ), new Point( 28, 39 ), new Point( 27, 40 ), new Point( 26, 41 ), new Point( 25, 42 ), new Point( 25, 43 ), new Point( 24, 44 ), new Point( 23, 45 ), new Point( 22, 46 ), new Point( 21, 46 ), new Point( 20, 47 ), new Point( 19, 47 ), new Point( 18, 48 ), new Point( 17, 48 ), new Point( 16, 49 ), new Point( 15, 49 ), new Point( 14, 49 ), new Point( 13, 49 ), new Point( 12, 49 ), new Point( 11, 49 ), new Point( 10, 49 ), new Point( 9, 49 ), new Point( 8, 49 ), new Point( 7, 49 ), new Point( 6, 48 ), new Point( 5, 47 ), new Point( 4, 46 ), new Point( 4, 45 ), new Point( 3, 44 ), new Point( 3, 43 ), new Point( 2, 42 ), new Point( 2, 41 ), new Point( 2, 40 ), new Point( 2, 39 ), new Point( 2, 38 ), new Point( 3, 37 ), new Point( 3, 36 ), new Point( 3, 35 ), new Point( 4, 34 ), new Point( 4, 33 ), new Point( 4, 32 ), new Point( 5, 31 ), new Point( 5, 30 ), new Point( 6, 29 ), new Point( 7, 28 ), new Point( 7, 27 ), new Point( 8, 26 ), new Point( 9, 25 ), new Point( 10, 24 ), new Point( 11, 24 ), new Point( 12, 23 ), new Point( 13, 22 ), new Point( 14, 22 ), new Point( 15, 21 ), new Point( 16, 21 ), new Point( 17, 20 ), new Point( 18, 20 ), new Point( 19, 20 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit61
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 22, 11 ), new Point( 23, 11 ), new Point( 24, 11 ), new Point( 25, 11 ), new Point( 26, 11 ), new Point( 27, 11 ), new Point( 28, 11 ), new Point( 29, 11 ), new Point( 30, 12 ), new Point( 31, 12 ), new Point( 32, 12 ), new Point( 33, 12 ), new Point( 34, 13 ), new Point( 35, 13 ), new Point( 36, 14 ), new Point( 37, 15 ), new Point( 38, 16 ), new Point( 39, 16 ), new Point( 40, 17 ), new Point( 41, 18 ), new Point( 42, 19 ), new Point( 43, 20 ), new Point( 43, 21 ), new Point( 44, 22 ), new Point( 45, 23 ), new Point( 45, 24 ), new Point( 46, 25 ), new Point( 46, 26 ), new Point( 46, 27 ), new Point( 47, 28 ), new Point( 47, 29 ), new Point( 47, 30 ), new Point( 47, 31 ), new Point( 48, 32 ), new Point( 48, 33 ), new Point( 48, 34 ), new Point( 48, 35 ), new Point( 48, 36 ), new Point( 48, 37 ), new Point( 47, 38 ), new Point( 47, 39 ), new Point( 47, 40 ), new Point( 46, 41 ), new Point( 46, 42 ), new Point( 46, 43 ), new Point( 45, 44 ), new Point( 44, 45 ), new Point( 43, 46 ), new Point( 42, 47 ), new Point( 41, 48 ), new Point( 40, 48 ), new Point( 39, 48 ), new Point( 38, 49 ), new Point( 37, 49 ), new Point( 36, 49 ), new Point( 35, 49 ), new Point( 34, 49 ), new Point( 33, 49 ), new Point( 32, 49 ), new Point( 31, 48 ), new Point( 30, 48 ), new Point( 29, 48 ), new Point( 28, 47 ), new Point( 27, 47 ), new Point( 26, 46 ), new Point( 25, 46 ), new Point( 24, 45 ), new Point( 23, 44 ), new Point( 22, 44 ), new Point( 22, 43 ), new Point( 21, 43 ), new Point( 20, 42 ), new Point( 19, 41 ), new Point( 18, 40 ), new Point( 18, 39 ), new Point( 17, 38 ), new Point( 17, 37 ), new Point( 16, 36 ), new Point( 15, 35 ), new Point( 15, 34 ), new Point( 15, 33 ), new Point( 14, 32 ), new Point( 14, 31 ), new Point( 14, 30 ), new Point( 14, 29 ), new Point( 14, 28 ), new Point( 13, 27 ), new Point( 13, 26 ), new Point( 13, 25 ), new Point( 13, 24 ), new Point( 13, 23 ), new Point( 14, 22 ), new Point( 14, 21 ), new Point( 14, 20 ), new Point( 14, 19 ), new Point( 15, 18 ), new Point( 15, 17 ), new Point( 16, 16 ), new Point( 16, 15 ), new Point( 17, 14 ), new Point( 18, 13 ), new Point( 19, 12 ), new Point( 20, 12 ), new Point( 21, 12 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit62
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 20, 13 ), new Point( 21, 13 ), new Point( 22, 13 ), new Point( 23, 13 ), new Point( 24, 13 ), new Point( 25, 13 ), new Point( 26, 13 ), new Point( 27, 13 ), new Point( 28, 13 ), new Point( 29, 13 ), new Point( 30, 14 ), new Point( 31, 14 ), new Point( 32, 14 ), new Point( 33, 15 ), new Point( 34, 15 ), new Point( 35, 16 ), new Point( 36, 17 ), new Point( 37, 18 ), new Point( 37, 19 ), new Point( 38, 20 ), new Point( 38, 21 ), new Point( 38, 22 ), new Point( 38, 23 ), new Point( 39, 24 ), new Point( 39, 25 ), new Point( 39, 26 ), new Point( 38, 27 ), new Point( 38, 28 ), new Point( 38, 29 ), new Point( 38, 30 ), new Point( 37, 31 ), new Point( 37, 32 ), new Point( 37, 33 ), new Point( 37, 34 ), new Point( 36, 35 ), new Point( 36, 36 ), new Point( 35, 37 ), new Point( 34, 38 ), new Point( 34, 39 ), new Point( 33, 40 ), new Point( 32, 41 ), new Point( 31, 42 ), new Point( 30, 43 ), new Point( 29, 44 ), new Point( 28, 45 ), new Point( 27, 46 ), new Point( 26, 46 ), new Point( 25, 47 ), new Point( 24, 47 ), new Point( 23, 48 ), new Point( 22, 48 ), new Point( 21, 48 ), new Point( 20, 48 ), new Point( 19, 49 ), new Point( 18, 49 ), new Point( 17, 49 ), new Point( 16, 49 ), new Point( 15, 49 ), new Point( 14, 49 ), new Point( 13, 49 ), new Point( 12, 48 ), new Point( 11, 48 ), new Point( 10, 48 ), new Point( 9, 47 ), new Point( 8, 47 ), new Point( 7, 46 ), new Point( 6, 45 ), new Point( 5, 44 ), new Point( 4, 43 ), new Point( 4, 42 ), new Point( 3, 41 ), new Point( 3, 40 ), new Point( 3, 39 ), new Point( 2, 38 ), new Point( 2, 37 ), new Point( 2, 36 ), new Point( 2, 35 ), new Point( 2, 34 ), new Point( 2, 33 ), new Point( 3, 32 ), new Point( 3, 31 ), new Point( 3, 30 ), new Point( 3, 29 ), new Point( 4, 28 ), new Point( 4, 27 ), new Point( 5, 26 ), new Point( 5, 25 ), new Point( 6, 24 ), new Point( 6, 23 ), new Point( 7, 22 ), new Point( 8, 21 ), new Point( 9, 20 ), new Point( 10, 19 ), new Point( 11, 18 ), new Point( 12, 17 ), new Point( 13, 16 ), new Point( 14, 16 ), new Point( 15, 15 ), new Point( 16, 15 ), new Point( 17, 14 ), new Point( 18, 14 ), new Point( 19, 14 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit63
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 10, 2 ), new Point( 11, 2 ), new Point( 12, 2 ), new Point( 13, 1 ), new Point( 14, 1 ), new Point( 15, 1 ), new Point( 16, 1 ), new Point( 17, 2 ), new Point( 18, 2 ), new Point( 19, 2 ), new Point( 20, 2 ), new Point( 21, 3 ), new Point( 22, 3 ), new Point( 23, 4 ), new Point( 24, 4 ), new Point( 25, 5 ), new Point( 26, 5 ), new Point( 27, 6 ), new Point( 28, 7 ), new Point( 29, 8 ), new Point( 30, 9 ), new Point( 31, 10 ), new Point( 32, 11 ), new Point( 33, 12 ), new Point( 33, 13 ), new Point( 34, 14 ), new Point( 34, 15 ), new Point( 35, 16 ), new Point( 35, 17 ), new Point( 36, 18 ), new Point( 36, 19 ), new Point( 36, 20 ), new Point( 36, 21 ), new Point( 36, 22 ), new Point( 37, 23 ), new Point( 37, 24 ), new Point( 37, 25 ), new Point( 37, 26 ), new Point( 37, 27 ), new Point( 36, 28 ), new Point( 36, 29 ), new Point( 36, 30 ), new Point( 36, 31 ), new Point( 36, 32 ), new Point( 35, 33 ), new Point( 35, 34 ), new Point( 34, 35 ), new Point( 34, 36 ), new Point( 33, 37 ), new Point( 32, 38 ), new Point( 31, 38 ), new Point( 30, 38 ), new Point( 29, 39 ), new Point( 28, 39 ), new Point( 27, 39 ), new Point( 26, 40 ), new Point( 25, 40 ), new Point( 24, 40 ), new Point( 23, 39 ), new Point( 22, 39 ), new Point( 21, 39 ), new Point( 20, 39 ), new Point( 19, 38 ), new Point( 18, 38 ), new Point( 17, 38 ), new Point( 16, 37 ), new Point( 15, 37 ), new Point( 14, 36 ), new Point( 13, 36 ), new Point( 13, 35 ), new Point( 12, 35 ), new Point( 11, 34 ), new Point( 10, 33 ), new Point( 9, 32 ), new Point( 8, 31 ), new Point( 7, 30 ), new Point( 6, 29 ), new Point( 6, 28 ), new Point( 5, 27 ), new Point( 5, 26 ), new Point( 4, 25 ), new Point( 4, 24 ), new Point( 3, 23 ), new Point( 3, 22 ), new Point( 3, 21 ), new Point( 3, 20 ), new Point( 2, 19 ), new Point( 2, 18 ), new Point( 2, 17 ), new Point( 2, 16 ), new Point( 2, 15 ), new Point( 2, 14 ), new Point( 2, 13 ), new Point( 2, 12 ), new Point( 3, 11 ), new Point( 3, 10 ), new Point( 3, 9 ), new Point( 4, 8 ), new Point( 4, 7 ), new Point( 5, 6 ), new Point( 6, 5 ), new Point( 7, 4 ), new Point( 8, 3 ), new Point( 9, 3 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit64
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 25, 1 ), new Point( 26, 1 ), new Point( 27, 1 ), new Point( 28, 1 ), new Point( 29, 1 ), new Point( 30, 2 ), new Point( 31, 2 ), new Point( 32, 2 ), new Point( 33, 3 ), new Point( 34, 3 ), new Point( 35, 4 ), new Point( 36, 5 ), new Point( 37, 6 ), new Point( 38, 7 ), new Point( 39, 8 ), new Point( 39, 9 ), new Point( 40, 10 ), new Point( 41, 11 ), new Point( 41, 12 ), new Point( 42, 13 ), new Point( 42, 14 ), new Point( 42, 15 ), new Point( 43, 16 ), new Point( 43, 17 ), new Point( 43, 18 ), new Point( 43, 19 ), new Point( 44, 20 ), new Point( 44, 21 ), new Point( 44, 22 ), new Point( 44, 23 ), new Point( 44, 24 ), new Point( 44, 25 ), new Point( 44, 26 ), new Point( 44, 27 ), new Point( 44, 28 ), new Point( 44, 29 ), new Point( 43, 30 ), new Point( 43, 31 ), new Point( 43, 32 ), new Point( 43, 33 ), new Point( 42, 34 ), new Point( 42, 35 ), new Point( 42, 36 ), new Point( 41, 37 ), new Point( 41, 38 ), new Point( 40, 39 ), new Point( 40, 40 ), new Point( 39, 41 ), new Point( 39, 42 ), new Point( 38, 43 ), new Point( 37, 44 ), new Point( 36, 45 ), new Point( 35, 46 ), new Point( 34, 46 ), new Point( 33, 47 ), new Point( 32, 47 ), new Point( 31, 48 ), new Point( 30, 48 ), new Point( 29, 49 ), new Point( 28, 49 ), new Point( 27, 49 ), new Point( 26, 49 ), new Point( 25, 49 ), new Point( 24, 49 ), new Point( 23, 49 ), new Point( 22, 49 ), new Point( 21, 49 ), new Point( 20, 48 ), new Point( 19, 48 ), new Point( 18, 48 ), new Point( 17, 47 ), new Point( 16, 47 ), new Point( 15, 46 ), new Point( 14, 45 ), new Point( 13, 44 ), new Point( 12, 43 ), new Point( 11, 42 ), new Point( 11, 41 ), new Point( 10, 40 ), new Point( 9, 39 ), new Point( 9, 38 ), new Point( 8, 37 ), new Point( 8, 36 ), new Point( 8, 35 ), new Point( 7, 34 ), new Point( 7, 33 ), new Point( 7, 32 ), new Point( 7, 31 ), new Point( 7, 30 ), new Point( 6, 29 ), new Point( 6, 28 ), new Point( 6, 27 ), new Point( 6, 26 ), new Point( 6, 25 ), new Point( 6, 24 ), new Point( 6, 23 ), new Point( 6, 22 ), new Point( 7, 21 ), new Point( 7, 20 ), new Point( 7, 19 ), new Point( 7, 18 ), new Point( 7, 17 ), new Point( 8, 16 ), new Point( 8, 15 ), new Point( 8, 14 ), new Point( 9, 13 ), new Point( 9, 12 ), new Point( 10, 11 ), new Point( 10, 10 ), new Point( 11, 9 ), new Point( 11, 8 ), new Point( 12, 7 ), new Point( 13, 6 ), new Point( 14, 5 ), new Point( 15, 4 ), new Point( 16, 4 ), new Point( 17, 3 ), new Point( 18, 3 ), new Point( 19, 2 ), new Point( 20, 2 ), new Point( 21, 2 ), new Point( 22, 1 ), new Point( 23, 1 ), new Point( 24, 1 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit65
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 15, 1 ), new Point( 16, 1 ), new Point( 17, 1 ), new Point( 18, 1 ), new Point( 19, 1 ), new Point( 20, 1 ), new Point( 21, 1 ), new Point( 22, 2 ), new Point( 23, 2 ), new Point( 24, 2 ), new Point( 25, 2 ), new Point( 26, 3 ), new Point( 27, 3 ), new Point( 28, 4 ), new Point( 29, 4 ), new Point( 30, 5 ), new Point( 31, 5 ), new Point( 32, 6 ), new Point( 33, 7 ), new Point( 34, 8 ), new Point( 35, 9 ), new Point( 36, 10 ), new Point( 37, 11 ), new Point( 38, 12 ), new Point( 39, 13 ), new Point( 39, 14 ), new Point( 40, 15 ), new Point( 40, 16 ), new Point( 41, 17 ), new Point( 41, 18 ), new Point( 42, 19 ), new Point( 42, 20 ), new Point( 42, 21 ), new Point( 42, 22 ), new Point( 43, 23 ), new Point( 43, 24 ), new Point( 43, 25 ), new Point( 43, 26 ), new Point( 43, 27 ), new Point( 43, 28 ), new Point( 43, 29 ), new Point( 43, 30 ), new Point( 43, 31 ), new Point( 43, 32 ), new Point( 42, 33 ), new Point( 42, 34 ), new Point( 42, 35 ), new Point( 41, 36 ), new Point( 41, 37 ), new Point( 40, 38 ), new Point( 40, 39 ), new Point( 39, 40 ), new Point( 38, 41 ), new Point( 37, 42 ), new Point( 36, 43 ), new Point( 35, 43 ), new Point( 34, 44 ), new Point( 33, 44 ), new Point( 32, 45 ), new Point( 31, 45 ), new Point( 30, 45 ), new Point( 29, 46 ), new Point( 28, 46 ), new Point( 27, 46 ), new Point( 26, 46 ), new Point( 25, 46 ), new Point( 24, 46 ), new Point( 23, 45 ), new Point( 22, 45 ), new Point( 21, 45 ), new Point( 20, 45 ), new Point( 19, 44 ), new Point( 18, 44 ), new Point( 17, 44 ), new Point( 16, 43 ), new Point( 15, 43 ), new Point( 14, 42 ), new Point( 13, 41 ), new Point( 12, 40 ), new Point( 11, 39 ), new Point( 10, 38 ), new Point( 9, 37 ), new Point( 8, 36 ), new Point( 7, 35 ), new Point( 6, 34 ), new Point( 6, 33 ), new Point( 5, 32 ), new Point( 4, 31 ), new Point( 4, 30 ), new Point( 3, 29 ), new Point( 3, 28 ), new Point( 3, 27 ), new Point( 2, 26 ), new Point( 2, 25 ), new Point( 2, 24 ), new Point( 2, 23 ), new Point( 1, 22 ), new Point( 1, 21 ), new Point( 1, 20 ), new Point( 1, 19 ), new Point( 1, 18 ), new Point( 1, 17 ), new Point( 1, 16 ), new Point( 2, 15 ), new Point( 2, 14 ), new Point( 2, 13 ), new Point( 3, 12 ), new Point( 3, 11 ), new Point( 4, 10 ), new Point( 4, 9 ), new Point( 5, 8 ), new Point( 5, 7 ), new Point( 6, 6 ), new Point( 7, 5 ), new Point( 8, 4 ), new Point( 9, 4 ), new Point( 10, 3 ), new Point( 11, 3 ), new Point( 12, 2 ), new Point( 13, 2 ), new Point( 14, 2 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit66
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 29, 1 ), new Point( 30, 1 ), new Point( 31, 1 ), new Point( 32, 1 ), new Point( 33, 1 ), new Point( 34, 1 ), new Point( 35, 1 ), new Point( 36, 1 ), new Point( 37, 2 ), new Point( 38, 2 ), new Point( 39, 2 ), new Point( 40, 3 ), new Point( 41, 3 ), new Point( 42, 4 ), new Point( 43, 5 ), new Point( 44, 6 ), new Point( 45, 7 ), new Point( 46, 8 ), new Point( 47, 9 ), new Point( 47, 10 ), new Point( 48, 11 ), new Point( 48, 12 ), new Point( 49, 13 ), new Point( 49, 14 ), new Point( 49, 15 ), new Point( 50, 16 ), new Point( 50, 17 ), new Point( 50, 18 ), new Point( 50, 19 ), new Point( 50, 20 ), new Point( 50, 21 ), new Point( 50, 22 ), new Point( 49, 23 ), new Point( 49, 24 ), new Point( 49, 25 ), new Point( 49, 26 ), new Point( 48, 27 ), new Point( 48, 28 ), new Point( 48, 29 ), new Point( 47, 30 ), new Point( 47, 31 ), new Point( 46, 32 ), new Point( 46, 33 ), new Point( 45, 34 ), new Point( 45, 35 ), new Point( 44, 36 ), new Point( 43, 37 ), new Point( 42, 38 ), new Point( 41, 39 ), new Point( 40, 40 ), new Point( 39, 41 ), new Point( 38, 41 ), new Point( 37, 42 ), new Point( 36, 43 ), new Point( 35, 43 ), new Point( 34, 44 ), new Point( 33, 44 ), new Point( 32, 45 ), new Point( 31, 45 ), new Point( 30, 45 ), new Point( 29, 46 ), new Point( 28, 46 ), new Point( 27, 46 ), new Point( 26, 46 ), new Point( 25, 46 ), new Point( 24, 46 ), new Point( 23, 46 ), new Point( 22, 46 ), new Point( 21, 45 ), new Point( 20, 45 ), new Point( 19, 45 ), new Point( 18, 44 ), new Point( 17, 44 ), new Point( 16, 43 ), new Point( 15, 43 ), new Point( 14, 42 ), new Point( 13, 41 ), new Point( 12, 40 ), new Point( 11, 39 ), new Point( 11, 38 ), new Point( 10, 37 ), new Point( 10, 36 ), new Point( 9, 35 ), new Point( 9, 34 ), new Point( 9, 33 ), new Point( 9, 32 ), new Point( 8, 31 ), new Point( 8, 30 ), new Point( 8, 29 ), new Point( 8, 28 ), new Point( 8, 27 ), new Point( 8, 26 ), new Point( 8, 25 ), new Point( 8, 24 ), new Point( 9, 23 ), new Point( 9, 22 ), new Point( 9, 21 ), new Point( 9, 20 ), new Point( 10, 19 ), new Point( 10, 18 ), new Point( 11, 17 ), new Point( 11, 16 ), new Point( 12, 15 ), new Point( 12, 14 ), new Point( 13, 13 ), new Point( 13, 12 ), new Point( 14, 11 ), new Point( 15, 10 ), new Point( 16, 9 ), new Point( 17, 8 ), new Point( 18, 7 ), new Point( 19, 6 ), new Point( 20, 6 ), new Point( 21, 5 ), new Point( 22, 5 ), new Point( 23, 4 ), new Point( 24, 3 ), new Point( 25, 3 ), new Point( 26, 2 ), new Point( 27, 2 ), new Point( 28, 2 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit67
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 23, 6 ), new Point( 24, 6 ), new Point( 25, 6 ), new Point( 26, 6 ), new Point( 27, 6 ), new Point( 28, 6 ), new Point( 29, 6 ), new Point( 30, 6 ), new Point( 31, 7 ), new Point( 32, 7 ), new Point( 33, 7 ), new Point( 34, 8 ), new Point( 35, 8 ), new Point( 36, 9 ), new Point( 37, 10 ), new Point( 38, 11 ), new Point( 39, 12 ), new Point( 40, 13 ), new Point( 41, 14 ), new Point( 42, 15 ), new Point( 42, 16 ), new Point( 43, 17 ), new Point( 43, 18 ), new Point( 43, 19 ), new Point( 43, 20 ), new Point( 43, 21 ), new Point( 44, 22 ), new Point( 44, 23 ), new Point( 44, 24 ), new Point( 44, 25 ), new Point( 44, 26 ), new Point( 44, 27 ), new Point( 43, 28 ), new Point( 43, 29 ), new Point( 43, 30 ), new Point( 43, 31 ), new Point( 42, 32 ), new Point( 42, 33 ), new Point( 41, 34 ), new Point( 41, 35 ), new Point( 40, 36 ), new Point( 40, 37 ), new Point( 39, 38 ), new Point( 39, 39 ), new Point( 38, 40 ), new Point( 37, 41 ), new Point( 36, 42 ), new Point( 35, 43 ), new Point( 34, 44 ), new Point( 33, 45 ), new Point( 32, 45 ), new Point( 31, 46 ), new Point( 30, 46 ), new Point( 29, 47 ), new Point( 28, 47 ), new Point( 27, 48 ), new Point( 26, 48 ), new Point( 25, 49 ), new Point( 24, 49 ), new Point( 23, 49 ), new Point( 22, 49 ), new Point( 21, 50 ), new Point( 20, 50 ), new Point( 19, 50 ), new Point( 18, 50 ), new Point( 17, 50 ), new Point( 16, 50 ), new Point( 15, 50 ), new Point( 14, 49 ), new Point( 13, 49 ), new Point( 12, 49 ), new Point( 11, 48 ), new Point( 10, 48 ), new Point( 9, 47 ), new Point( 8, 47 ), new Point( 7, 46 ), new Point( 6, 45 ), new Point( 5, 44 ), new Point( 4, 43 ), new Point( 3, 42 ), new Point( 3, 41 ), new Point( 3, 40 ), new Point( 2, 39 ), new Point( 2, 38 ), new Point( 2, 37 ), new Point( 2, 36 ), new Point( 1, 35 ), new Point( 1, 34 ), new Point( 1, 33 ), new Point( 1, 32 ), new Point( 1, 31 ), new Point( 1, 30 ), new Point( 1, 29 ), new Point( 2, 28 ), new Point( 2, 27 ), new Point( 2, 26 ), new Point( 2, 25 ), new Point( 2, 24 ), new Point( 3, 23 ), new Point( 3, 22 ), new Point( 4, 21 ), new Point( 4, 20 ), new Point( 5, 19 ), new Point( 5, 18 ), new Point( 6, 17 ), new Point( 7, 16 ), new Point( 8, 15 ), new Point( 9, 14 ), new Point( 10, 13 ), new Point( 11, 12 ), new Point( 12, 11 ), new Point( 13, 10 ), new Point( 14, 10 ), new Point( 15, 9 ), new Point( 16, 9 ), new Point( 17, 8 ), new Point( 18, 8 ), new Point( 19, 8 ), new Point( 20, 7 ), new Point( 21, 7 ), new Point( 22, 7 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit68
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 19, 6 ), new Point( 20, 6 ), new Point( 21, 6 ), new Point( 22, 6 ), new Point( 23, 6 ), new Point( 24, 6 ), new Point( 25, 6 ), new Point( 26, 6 ), new Point( 27, 6 ), new Point( 28, 6 ), new Point( 29, 6 ), new Point( 30, 6 ), new Point( 31, 7 ), new Point( 32, 7 ), new Point( 33, 7 ), new Point( 34, 8 ), new Point( 35, 8 ), new Point( 36, 9 ), new Point( 37, 10 ), new Point( 38, 10 ), new Point( 39, 11 ), new Point( 40, 12 ), new Point( 41, 13 ), new Point( 42, 14 ), new Point( 43, 15 ), new Point( 44, 16 ), new Point( 45, 17 ), new Point( 45, 18 ), new Point( 46, 19 ), new Point( 46, 20 ), new Point( 47, 21 ), new Point( 47, 22 ), new Point( 48, 23 ), new Point( 48, 24 ), new Point( 48, 25 ), new Point( 49, 26 ), new Point( 49, 27 ), new Point( 49, 28 ), new Point( 49, 29 ), new Point( 50, 30 ), new Point( 50, 31 ), new Point( 50, 32 ), new Point( 50, 33 ), new Point( 50, 34 ), new Point( 49, 35 ), new Point( 49, 36 ), new Point( 49, 37 ), new Point( 49, 38 ), new Point( 48, 39 ), new Point( 48, 40 ), new Point( 47, 41 ), new Point( 47, 42 ), new Point( 46, 43 ), new Point( 45, 44 ), new Point( 44, 45 ), new Point( 43, 46 ), new Point( 42, 47 ), new Point( 41, 48 ), new Point( 40, 48 ), new Point( 39, 49 ), new Point( 38, 49 ), new Point( 37, 49 ), new Point( 36, 50 ), new Point( 35, 50 ), new Point( 34, 50 ), new Point( 33, 50 ), new Point( 32, 50 ), new Point( 31, 50 ), new Point( 30, 50 ), new Point( 29, 50 ), new Point( 28, 49 ), new Point( 27, 49 ), new Point( 26, 49 ), new Point( 25, 48 ), new Point( 24, 48 ), new Point( 23, 47 ), new Point( 22, 47 ), new Point( 21, 46 ), new Point( 20, 46 ), new Point( 19, 45 ), new Point( 18, 45 ), new Point( 17, 44 ), new Point( 16, 43 ), new Point( 15, 42 ), new Point( 14, 41 ), new Point( 13, 40 ), new Point( 13, 39 ), new Point( 12, 38 ), new Point( 12, 37 ), new Point( 11, 36 ), new Point( 10, 35 ), new Point( 10, 34 ), new Point( 9, 33 ), new Point( 9, 32 ), new Point( 9, 31 ), new Point( 8, 30 ), new Point( 8, 29 ), new Point( 8, 28 ), new Point( 7, 27 ), new Point( 7, 26 ), new Point( 7, 25 ), new Point( 7, 24 ), new Point( 7, 23 ), new Point( 7, 22 ), new Point( 7, 21 ), new Point( 7, 20 ), new Point( 8, 19 ), new Point( 8, 18 ), new Point( 8, 17 ), new Point( 9, 16 ), new Point( 9, 15 ), new Point( 10, 14 ), new Point( 10, 13 ), new Point( 11, 12 ), new Point( 12, 11 ), new Point( 13, 10 ), new Point( 14, 9 ), new Point( 15, 8 ), new Point( 16, 8 ), new Point( 17, 7 ), new Point( 18, 7 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit69
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 17, 12 ), new Point( 18, 12 ), new Point( 19, 12 ), new Point( 20, 12 ), new Point( 21, 12 ), new Point( 22, 13 ), new Point( 23, 13 ), new Point( 24, 14 ), new Point( 25, 15 ), new Point( 26, 16 ), new Point( 27, 17 ), new Point( 28, 18 ), new Point( 29, 19 ), new Point( 29, 20 ), new Point( 29, 21 ), new Point( 30, 22 ), new Point( 30, 23 ), new Point( 30, 24 ), new Point( 30, 25 ), new Point( 30, 26 ), new Point( 30, 27 ), new Point( 29, 28 ), new Point( 28, 29 ), new Point( 27, 30 ), new Point( 26, 30 ), new Point( 25, 30 ), new Point( 24, 30 ), new Point( 23, 29 ), new Point( 22, 29 ), new Point( 21, 29 ), new Point( 20, 28 ), new Point( 19, 28 ), new Point( 18, 27 ), new Point( 17, 26 ), new Point( 16, 25 ), new Point( 16, 24 ), new Point( 15, 23 ), new Point( 15, 22 ), new Point( 14, 21 ), new Point( 14, 20 ), new Point( 14, 19 ), new Point( 13, 18 ), new Point( 13, 17 ), new Point( 13, 16 ), new Point( 14, 15 ), new Point( 14, 14 ), new Point( 15, 13 ), new Point( 16, 13 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit70
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 31, 14 ), new Point( 32, 14 ), new Point( 33, 14 ), new Point( 34, 14 ), new Point( 35, 15 ), new Point( 36, 15 ), new Point( 37, 16 ), new Point( 38, 17 ), new Point( 38, 18 ), new Point( 38, 19 ), new Point( 38, 20 ), new Point( 38, 21 ), new Point( 38, 22 ), new Point( 37, 23 ), new Point( 37, 24 ), new Point( 36, 25 ), new Point( 35, 26 ), new Point( 34, 27 ), new Point( 33, 28 ), new Point( 32, 29 ), new Point( 31, 29 ), new Point( 30, 30 ), new Point( 29, 30 ), new Point( 28, 31 ), new Point( 27, 31 ), new Point( 26, 31 ), new Point( 25, 31 ), new Point( 24, 31 ), new Point( 23, 30 ), new Point( 22, 30 ), new Point( 21, 29 ), new Point( 21, 28 ), new Point( 20, 27 ), new Point( 20, 26 ), new Point( 20, 25 ), new Point( 21, 24 ), new Point( 21, 23 ), new Point( 21, 22 ), new Point( 22, 21 ), new Point( 22, 20 ), new Point( 23, 19 ), new Point( 24, 18 ), new Point( 25, 17 ), new Point( 26, 16 ), new Point( 27, 16 ), new Point( 28, 15 ), new Point( 29, 15 ), new Point( 30, 15 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit71
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 24, 20 ), new Point( 25, 20 ), new Point( 26, 20 ), new Point( 27, 20 ), new Point( 28, 21 ), new Point( 29, 21 ), new Point( 30, 22 ), new Point( 31, 22 ), new Point( 32, 23 ), new Point( 33, 24 ), new Point( 34, 25 ), new Point( 34, 26 ), new Point( 35, 27 ), new Point( 36, 28 ), new Point( 36, 29 ), new Point( 36, 30 ), new Point( 37, 31 ), new Point( 37, 32 ), new Point( 37, 33 ), new Point( 37, 34 ), new Point( 36, 35 ), new Point( 35, 36 ), new Point( 34, 37 ), new Point( 33, 38 ), new Point( 32, 38 ), new Point( 31, 38 ), new Point( 30, 37 ), new Point( 29, 37 ), new Point( 28, 37 ), new Point( 27, 36 ), new Point( 26, 36 ), new Point( 25, 35 ), new Point( 24, 34 ), new Point( 23, 33 ), new Point( 22, 32 ), new Point( 21, 31 ), new Point( 21, 30 ), new Point( 21, 29 ), new Point( 20, 28 ), new Point( 20, 27 ), new Point( 20, 26 ), new Point( 20, 25 ), new Point( 20, 24 ), new Point( 20, 23 ), new Point( 21, 22 ), new Point( 22, 21 ), new Point( 23, 21 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit72
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 27, 14 ), new Point( 28, 14 ), new Point( 29, 14 ), new Point( 30, 14 ), new Point( 31, 14 ), new Point( 32, 14 ), new Point( 33, 14 ), new Point( 34, 15 ), new Point( 35, 15 ), new Point( 36, 15 ), new Point( 37, 16 ), new Point( 38, 17 ), new Point( 39, 17 ), new Point( 40, 18 ), new Point( 41, 19 ), new Point( 42, 20 ), new Point( 42, 21 ), new Point( 43, 21 ), new Point( 43, 22 ), new Point( 44, 23 ), new Point( 44, 24 ), new Point( 44, 25 ), new Point( 44, 26 ), new Point( 44, 27 ), new Point( 44, 28 ), new Point( 43, 29 ), new Point( 43, 30 ), new Point( 42, 31 ), new Point( 42, 32 ), new Point( 41, 33 ), new Point( 40, 34 ), new Point( 39, 35 ), new Point( 38, 36 ), new Point( 37, 36 ), new Point( 36, 36 ), new Point( 35, 37 ), new Point( 34, 37 ), new Point( 33, 37 ), new Point( 32, 38 ), new Point( 31, 38 ), new Point( 30, 38 ), new Point( 29, 38 ), new Point( 28, 38 ), new Point( 27, 37 ), new Point( 26, 37 ), new Point( 25, 37 ), new Point( 24, 36 ), new Point( 23, 36 ), new Point( 22, 35 ), new Point( 21, 34 ), new Point( 20, 33 ), new Point( 19, 32 ), new Point( 18, 31 ), new Point( 18, 30 ), new Point( 17, 29 ), new Point( 17, 28 ), new Point( 17, 27 ), new Point( 17, 26 ), new Point( 17, 25 ), new Point( 17, 24 ), new Point( 17, 23 ), new Point( 18, 22 ), new Point( 18, 21 ), new Point( 19, 20 ), new Point( 19, 19 ), new Point( 20, 18 ), new Point( 21, 17 ), new Point( 22, 17 ), new Point( 23, 16 ), new Point( 24, 16 ), new Point( 25, 15 ), new Point( 26, 15 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit73
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 16, 9 ), new Point( 17, 9 ), new Point( 18, 9 ), new Point( 19, 9 ), new Point( 20, 9 ), new Point( 21, 9 ), new Point( 22, 10 ), new Point( 23, 10 ), new Point( 24, 10 ), new Point( 25, 11 ), new Point( 26, 11 ), new Point( 27, 12 ), new Point( 28, 13 ), new Point( 29, 14 ), new Point( 30, 15 ), new Point( 31, 16 ), new Point( 31, 17 ), new Point( 32, 18 ), new Point( 32, 19 ), new Point( 33, 20 ), new Point( 33, 21 ), new Point( 33, 22 ), new Point( 33, 23 ), new Point( 33, 24 ), new Point( 33, 25 ), new Point( 33, 26 ), new Point( 33, 27 ), new Point( 33, 28 ), new Point( 32, 29 ), new Point( 32, 30 ), new Point( 31, 31 ), new Point( 30, 32 ), new Point( 29, 33 ), new Point( 28, 33 ), new Point( 27, 34 ), new Point( 26, 34 ), new Point( 25, 34 ), new Point( 24, 34 ), new Point( 23, 34 ), new Point( 22, 34 ), new Point( 21, 34 ), new Point( 20, 34 ), new Point( 19, 34 ), new Point( 18, 33 ), new Point( 17, 33 ), new Point( 16, 32 ), new Point( 15, 32 ), new Point( 14, 31 ), new Point( 13, 30 ), new Point( 12, 29 ), new Point( 11, 28 ), new Point( 10, 27 ), new Point( 10, 26 ), new Point( 10, 25 ), new Point( 9, 24 ), new Point( 9, 23 ), new Point( 9, 22 ), new Point( 9, 21 ), new Point( 8, 20 ), new Point( 8, 19 ), new Point( 8, 18 ), new Point( 8, 17 ), new Point( 8, 16 ), new Point( 9, 15 ), new Point( 9, 14 ), new Point( 10, 13 ), new Point( 11, 12 ), new Point( 12, 11 ), new Point( 13, 10 ), new Point( 14, 10 ), new Point( 15, 10 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit74
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 28, 10 ), new Point( 29, 10 ), new Point( 30, 10 ), new Point( 31, 10 ), new Point( 32, 10 ), new Point( 33, 10 ), new Point( 34, 10 ), new Point( 35, 11 ), new Point( 36, 11 ), new Point( 37, 11 ), new Point( 38, 11 ), new Point( 39, 12 ), new Point( 40, 13 ), new Point( 41, 14 ), new Point( 41, 15 ), new Point( 41, 16 ), new Point( 42, 17 ), new Point( 42, 18 ), new Point( 42, 19 ), new Point( 42, 20 ), new Point( 42, 21 ), new Point( 42, 22 ), new Point( 42, 23 ), new Point( 41, 24 ), new Point( 41, 25 ), new Point( 41, 26 ), new Point( 40, 27 ), new Point( 40, 28 ), new Point( 39, 29 ), new Point( 38, 30 ), new Point( 37, 31 ), new Point( 36, 32 ), new Point( 35, 33 ), new Point( 34, 33 ), new Point( 33, 34 ), new Point( 32, 34 ), new Point( 31, 34 ), new Point( 30, 35 ), new Point( 29, 35 ), new Point( 28, 35 ), new Point( 27, 35 ), new Point( 26, 35 ), new Point( 25, 35 ), new Point( 24, 34 ), new Point( 23, 34 ), new Point( 22, 34 ), new Point( 21, 33 ), new Point( 20, 33 ), new Point( 19, 32 ), new Point( 18, 31 ), new Point( 18, 30 ), new Point( 18, 29 ), new Point( 17, 28 ), new Point( 17, 27 ), new Point( 17, 26 ), new Point( 17, 25 ), new Point( 17, 24 ), new Point( 17, 23 ), new Point( 17, 22 ), new Point( 17, 21 ), new Point( 18, 20 ), new Point( 18, 19 ), new Point( 19, 18 ), new Point( 19, 17 ), new Point( 20, 16 ), new Point( 20, 15 ), new Point( 21, 14 ), new Point( 22, 13 ), new Point( 23, 12 ), new Point( 24, 12 ), new Point( 25, 11 ), new Point( 26, 11 ), new Point( 27, 11 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit75
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 24, 16 ), new Point( 25, 16 ), new Point( 26, 16 ), new Point( 27, 16 ), new Point( 28, 17 ), new Point( 29, 17 ), new Point( 30, 17 ), new Point( 31, 17 ), new Point( 32, 18 ), new Point( 33, 18 ), new Point( 34, 19 ), new Point( 35, 20 ), new Point( 36, 21 ), new Point( 37, 22 ), new Point( 38, 23 ), new Point( 38, 24 ), new Point( 39, 25 ), new Point( 39, 26 ), new Point( 39, 27 ), new Point( 40, 28 ), new Point( 40, 29 ), new Point( 40, 30 ), new Point( 40, 31 ), new Point( 40, 32 ), new Point( 40, 33 ), new Point( 40, 34 ), new Point( 40, 35 ), new Point( 40, 36 ), new Point( 39, 37 ), new Point( 39, 38 ), new Point( 38, 39 ), new Point( 37, 40 ), new Point( 36, 41 ), new Point( 35, 42 ), new Point( 34, 42 ), new Point( 33, 42 ), new Point( 32, 43 ), new Point( 31, 43 ), new Point( 30, 43 ), new Point( 29, 43 ), new Point( 28, 42 ), new Point( 27, 42 ), new Point( 26, 42 ), new Point( 25, 41 ), new Point( 24, 41 ), new Point( 23, 40 ), new Point( 22, 39 ), new Point( 21, 38 ), new Point( 20, 37 ), new Point( 19, 36 ), new Point( 18, 35 ), new Point( 18, 34 ), new Point( 17, 33 ), new Point( 17, 32 ), new Point( 17, 31 ), new Point( 17, 30 ), new Point( 16, 29 ), new Point( 16, 28 ), new Point( 16, 27 ), new Point( 16, 26 ), new Point( 16, 25 ), new Point( 16, 24 ), new Point( 17, 23 ), new Point( 17, 22 ), new Point( 17, 21 ), new Point( 18, 20 ), new Point( 19, 19 ), new Point( 20, 18 ), new Point( 21, 18 ), new Point( 22, 17 ), new Point( 23, 17 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static class Orbit76
    {
        private static Point[] orbit = new Point[]
        {
            new Point( 22, 16 ), new Point( 23, 16 ), new Point( 24, 16 ), new Point( 25, 16 ), new Point( 26, 16 ), new Point( 27, 17 ), new Point( 28, 17 ), new Point( 29, 18 ), new Point( 30, 18 ), new Point( 31, 19 ), new Point( 32, 20 ), new Point( 32, 21 ), new Point( 32, 22 ), new Point( 33, 23 ), new Point( 33, 24 ), new Point( 33, 25 ), new Point( 33, 26 ), new Point( 33, 27 ), new Point( 33, 28 ), new Point( 33, 29 ), new Point( 33, 30 ), new Point( 32, 31 ), new Point( 32, 32 ), new Point( 32, 33 ), new Point( 31, 34 ), new Point( 31, 35 ), new Point( 30, 36 ), new Point( 30, 37 ), new Point( 29, 38 ), new Point( 28, 39 ), new Point( 27, 39 ), new Point( 26, 40 ), new Point( 25, 40 ), new Point( 24, 41 ), new Point( 23, 41 ), new Point( 22, 41 ), new Point( 21, 42 ), new Point( 20, 42 ), new Point( 19, 42 ), new Point( 18, 42 ), new Point( 17, 42 ), new Point( 16, 42 ), new Point( 15, 42 ), new Point( 14, 41 ), new Point( 13, 41 ), new Point( 12, 40 ), new Point( 11, 39 ), new Point( 10, 38 ), new Point( 10, 37 ), new Point( 10, 36 ), new Point( 9, 35 ), new Point( 9, 34 ), new Point( 9, 33 ), new Point( 9, 32 ), new Point( 9, 31 ), new Point( 9, 30 ), new Point( 9, 29 ), new Point( 9, 28 ), new Point( 10, 27 ), new Point( 10, 26 ), new Point( 10, 25 ), new Point( 11, 24 ), new Point( 11, 23 ), new Point( 12, 22 ), new Point( 13, 21 ), new Point( 14, 20 ), new Point( 15, 19 ), new Point( 16, 18 ), new Point( 17, 18 ), new Point( 18, 17 ), new Point( 19, 17 ), new Point( 20, 17 ), new Point( 21, 17 ),
        };

        public static Point[] getOrbit()
        {
            return orbit;
        }
    };

    private static Point[][] orbits = new Point[][]
    {
        Orbit1.getOrbit(), Orbit2.getOrbit(), Orbit3.getOrbit(), Orbit4.getOrbit(), Orbit5.getOrbit(), Orbit6.getOrbit(), Orbit7.getOrbit(), Orbit8.getOrbit(), Orbit9.getOrbit(), Orbit10.getOrbit(),
        Orbit11.getOrbit(), Orbit12.getOrbit(), Orbit13.getOrbit(), Orbit14.getOrbit(), Orbit15.getOrbit(), Orbit16.getOrbit(), Orbit17.getOrbit(), Orbit18.getOrbit(), Orbit19.getOrbit(), Orbit20.getOrbit(),
        Orbit21.getOrbit(), Orbit22.getOrbit(), Orbit23.getOrbit(), Orbit24.getOrbit(), Orbit25.getOrbit(), Orbit26.getOrbit(), Orbit27.getOrbit(), Orbit28.getOrbit(), Orbit29.getOrbit(), Orbit30.getOrbit(),
        Orbit31.getOrbit(), Orbit32.getOrbit(), Orbit33.getOrbit(), Orbit34.getOrbit(), Orbit35.getOrbit(), Orbit36.getOrbit(), Orbit37.getOrbit(), Orbit38.getOrbit(), Orbit39.getOrbit(), Orbit40.getOrbit(),
        Orbit41.getOrbit(), Orbit42.getOrbit(), Orbit43.getOrbit(), Orbit44.getOrbit(), Orbit45.getOrbit(), Orbit46.getOrbit(), Orbit47.getOrbit(), Orbit48.getOrbit(), Orbit49.getOrbit(), Orbit50.getOrbit(),
        Orbit51.getOrbit(), Orbit52.getOrbit(), Orbit53.getOrbit(), Orbit54.getOrbit(), Orbit55.getOrbit(), Orbit56.getOrbit(), Orbit57.getOrbit(), Orbit58.getOrbit(), Orbit59.getOrbit(), Orbit60.getOrbit(),
        Orbit61.getOrbit(), Orbit62.getOrbit(), Orbit63.getOrbit(), Orbit64.getOrbit(), Orbit65.getOrbit(), Orbit66.getOrbit(), Orbit67.getOrbit(), Orbit68.getOrbit(), Orbit69.getOrbit(), Orbit70.getOrbit(),
        Orbit71.getOrbit(), Orbit72.getOrbit(), Orbit73.getOrbit(), Orbit74.getOrbit(), Orbit75.getOrbit(), Orbit76.getOrbit(),
    };

    public static Point[] getOrbit( int orbit )
    {
        return orbits[orbit];
    }

    public static List<Point> getOrbitList( int orbit )
    {
        return Arrays.asList( orbits[orbit] );
    }
}
