/****************************************
 *  COPYRIGHT (C) 2013-2017
 *  Holger Graf
 ****************************************/
package sitool.components;

/**
 * @author graf
 *
 */
public interface Accountable
{
    public String getId();

    public double getFleetSpeed();

    public Technology getMyTech();

    public Version getVersion();

    public Specialization getSpecialization();

    public ProductionBonus getProductionBonus();
}
