/****************************************
 *  COPYRIGHT (C) 2012
 *  Holger Graf
 ****************************************/
package sitool.components;

/**
 * @author graf
 *
 */
public class FleetSpeed
{
    public static int PREPERATIONTIME = 0;
    public static int ACCELERATION = 1;
    public static int VELOCITY = 2;
    
    private int acceleration;
    private long velocity;
    private int preptime;
    
    private Ship[] ships;
    
    /**
     * @param acceleration
     * @param velocity
     * @param preptime
     */
    public FleetSpeed()
    {
        super();
        reset();
    }

    public int getAcceleration()
    {
        return acceleration;
    }

    public long getVelocity()
    {
        return velocity;
    }

    public int getPreptime()
    {
        return preptime;
    }
    
    public void setAcceleration( int acceleration )
    {
        this.acceleration = acceleration;
    }

    public void setVelocity( long velocity )
    {
        this.velocity = velocity;
    }

    public void setPreptime( int preptime )
    {
        this.preptime = preptime;
    }

    public Ship[] getShips()
    {
        return ships;
    }
    
    public void reset()
    {
        acceleration = Integer.MAX_VALUE;
        preptime = Integer.MIN_VALUE;
        velocity = Long.MAX_VALUE;
        ships = new Ship[VELOCITY + 1];
    }
}
