/****************************************
 *  COPYRIGHT (C) 2022
 *  Holger Graf
 ****************************************/
package sitool.json;

import java.awt.Point;

import sitool.components.Position;

/**
 * @author graf
 *
 */
public class CoordinatesBean {

    private Position coord;
    private Point g;
    private Point s;
    private Point p;

    public CoordinatesBean() {}

    /**
     * @return the coord
     */
    public Position getCoord() {
        return coord;
    }

    /**
     * @param coord the coord to set
     */
    public void setCoord( Object coord ) {
        this.coord = null;
        if(coord != null) {
            this.coord = new Position(coord.toString());
        }
    }

    /**
     * @return the g
     */
    public Point getG() {
        return g;
    }

    /**
     * @param g the g to set
     */
    public void setG( Point g ) {
        this.g = g;
    }

    /**
     * @return the s
     */
    public Point getS() {
        return s;
    }

    /**
     * @param s the s to set
     */
    public void setS( Point s ) {
        this.s = s;
    }

    /**
     * @return the p
     */
    public Point getP() {
        return p;
    }

    /**
     * @param p the p to set
     */
    public void setP( Point p ) {
        this.p = p;
    }


}
