/****************************************
 *  COPYRIGHT (C) 2009
 *  Holger Graf
 ****************************************/
package sitool.resources;

import java.io.File;

import org.w3c.dom.Document;

import sitool.MainFrame;
import sitool.Parser;

/**
 * @author graf
 *
 */
public interface ImportExportPane 
{
	public String getFileName();
	
	public String getExtension();
	
	public File getCurrentDir();

	public void setCurrentDir( File currentDir );
	
	public Document getData( Parser xmlParser );
	
	public MainFrame getMainFrame();
}
