/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.table;

public interface SortableTableModel
{
	public enum SortOrder
	{
		None,
		Ascending,
		Descending;
		
		public SortOrder invert()
		{
			SortOrder rv = None;
			switch( this )
			{
				case Ascending:
					rv = Descending;
					break;
				case Descending:
					rv = Ascending;
					break;
			}
			return rv;
		}
	}
	
	int getSortColumn();
	void setSortColumn( int columnIndex, SortOrder sortOrder);
	
	SortOrder getSortOrder();
	void setSortOrder( SortOrder sortOrder);
}
